/*============================================================================
  File:     CreateSparseColumns.sql

  Summary:  Demo sparse columns

  Date:     August 2008

  SQL Server Version: 10.0.1600.22 (SQL Server 2008 RTM)
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended as a supplement to the SQL Server 2008 Jumpstart or
  Metro training.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE SparseColumnsTest;
GO

-- Create two tables, one with 1000 columns and one
-- with 1000 columns but 997 sparse.
CREATE TABLE TableWithoutSparseColumns (
	DocID INT IDENTITY, DocName VARCHAR (100), DocType INT,
	c0004 INT NULL, c0005 INT NULL, c0006 INT NULL, c0007 INT NULL, c0008 INT NULL, c0009 INT NULL,	c0010 INT NULL, c0011 INT NULL, c0012 INT NULL, c0013 INT NULL, c0014 INT NULL, c0015 INT NULL, c0016 INT NULL, c0017 INT NULL, c0018 INT NULL, c0019 INT NULL,	c0020 INT NULL, c0021 INT NULL, c0022 INT NULL, c0023 INT NULL, c0024 INT NULL, c0025 INT NULL, c0026 INT NULL, c0027 INT NULL, c0028 INT NULL, c0029 INT NULL,	c0030 INT NULL, c0031 INT NULL, c0032 INT NULL, c0033 INT NULL, c0034 INT NULL, c0035 INT NULL, c0036 INT NULL, c0037 INT NULL, c0038 INT NULL, c0039 INT NULL,	c0040 INT NULL, c0041 INT NULL, c0042 INT NULL, c0043 INT NULL, c0044 INT NULL, c0045 INT NULL, c0046 INT NULL, c0047 INT NULL, c0048 INT NULL, c0049 INT NULL,	c0050 INT NULL, c0051 INT NULL, c0052 INT NULL, c0053 INT NULL, c0054 INT NULL, c0055 INT NULL, c0056 INT NULL, c0057 INT NULL, c0058 INT NULL, c0059 INT NULL,	c0060 INT NULL, c0061 INT NULL, c0062 INT NULL, c0063 INT NULL, c0064 INT NULL, c0065 INT NULL, c0066 INT NULL, c0067 INT NULL, c0068 INT NULL, c0069 INT NULL,	c0070 INT NULL, c0071 INT NULL, c0072 INT NULL, c0073 INT NULL, c0074 INT NULL, c0075 INT NULL, c0076 INT NULL, c0077 INT NULL, c0078 INT NULL, c0079 INT NULL,	c0080 INT NULL, c0081 INT NULL, c0082 INT NULL, c0083 INT NULL, c0084 INT NULL, c0085 INT NULL, c0086 INT NULL, c0087 INT NULL, c0088 INT NULL, c0089 INT NULL,	c0090 INT NULL, c0091 INT NULL, c0092 INT NULL, c0093 INT NULL, c0094 INT NULL, c0095 INT NULL, c0096 INT NULL, c0097 INT NULL, c0098 INT NULL, c0099 INT NULL,
	c0100 INT NULL, c0101 INT NULL, c0102 INT NULL, c0103 INT NULL, c0104 INT NULL, c0105 INT NULL, c0106 INT NULL, c0107 INT NULL, c0108 INT NULL, c0109 INT NULL,	c0110 INT NULL, c0111 INT NULL, c0112 INT NULL, c0113 INT NULL, c0114 INT NULL, c0115 INT NULL, c0116 INT NULL, c0117 INT NULL, c0118 INT NULL, c0119 INT NULL,	c0120 INT NULL, c0121 INT NULL, c0122 INT NULL, c0123 INT NULL, c0124 INT NULL, c0125 INT NULL, c0126 INT NULL, c0127 INT NULL, c0128 INT NULL, c0129 INT NULL,	c0130 INT NULL, c0131 INT NULL, c0132 INT NULL, c0133 INT NULL, c0134 INT NULL, c0135 INT NULL, c0136 INT NULL, c0137 INT NULL, c0138 INT NULL, c0139 INT NULL,	c0140 INT NULL, c0141 INT NULL, c0142 INT NULL, c0143 INT NULL, c0144 INT NULL, c0145 INT NULL, c0146 INT NULL, c0147 INT NULL, c0148 INT NULL, c0149 INT NULL,	c0150 INT NULL, c0151 INT NULL, c0152 INT NULL, c0153 INT NULL, c0154 INT NULL, c0155 INT NULL, c0156 INT NULL, c0157 INT NULL, c0158 INT NULL, c0159 INT NULL,	c0160 INT NULL, c0161 INT NULL, c0162 INT NULL, c0163 INT NULL, c0164 INT NULL, c0165 INT NULL, c0166 INT NULL, c0167 INT NULL, c0168 INT NULL, c0169 INT NULL,	c0170 INT NULL, c0171 INT NULL, c0172 INT NULL, c0173 INT NULL, c0174 INT NULL, c0175 INT NULL, c0176 INT NULL, c0177 INT NULL, c0178 INT NULL, c0179 INT NULL,	c0180 INT NULL, c0181 INT NULL, c0182 INT NULL, c0183 INT NULL, c0184 INT NULL, c0185 INT NULL, c0186 INT NULL, c0187 INT NULL, c0188 INT NULL, c0189 INT NULL,	c0190 INT NULL, c0191 INT NULL, c0192 INT NULL, c0193 INT NULL, c0194 INT NULL, c0195 INT NULL, c0196 INT NULL, c0197 INT NULL, c0198 INT NULL, c0199 INT NULL,
	c0200 INT NULL, c0201 INT NULL, c0202 INT NULL, c0203 INT NULL, c0204 INT NULL, c0205 INT NULL, c0206 INT NULL, c0207 INT NULL, c0208 INT NULL, c0209 INT NULL,	c0210 INT NULL, c0211 INT NULL, c0212 INT NULL, c0213 INT NULL, c0214 INT NULL, c0215 INT NULL, c0216 INT NULL, c0217 INT NULL, c0218 INT NULL, c0219 INT NULL,	c0220 INT NULL, c0221 INT NULL, c0222 INT NULL, c0223 INT NULL, c0224 INT NULL, c0225 INT NULL, c0226 INT NULL, c0227 INT NULL, c0228 INT NULL, c0229 INT NULL,	c0230 INT NULL, c0231 INT NULL, c0232 INT NULL, c0233 INT NULL, c0234 INT NULL, c0235 INT NULL, c0236 INT NULL, c0237 INT NULL, c0238 INT NULL, c0239 INT NULL,	c0240 INT NULL, c0241 INT NULL, c0242 INT NULL, c0243 INT NULL, c0244 INT NULL, c0245 INT NULL, c0246 INT NULL, c0247 INT NULL, c0248 INT NULL, c0249 INT NULL,	c0250 INT NULL, c0251 INT NULL, c0252 INT NULL, c0253 INT NULL, c0254 INT NULL, c0255 INT NULL, c0256 INT NULL, c0257 INT NULL, c0258 INT NULL, c0259 INT NULL,	c0260 INT NULL, c0261 INT NULL, c0262 INT NULL, c0263 INT NULL, c0264 INT NULL, c0265 INT NULL, c0266 INT NULL, c0267 INT NULL, c0268 INT NULL, c0269 INT NULL,	c0270 INT NULL, c0271 INT NULL, c0272 INT NULL, c0273 INT NULL, c0274 INT NULL, c0275 INT NULL, c0276 INT NULL, c0277 INT NULL, c0278 INT NULL, c0279 INT NULL,	c0280 INT NULL, c0281 INT NULL, c0282 INT NULL, c0283 INT NULL, c0284 INT NULL, c0285 INT NULL, c0286 INT NULL, c0287 INT NULL, c0288 INT NULL, c0289 INT NULL,	c0290 INT NULL, c0291 INT NULL, c0292 INT NULL, c0293 INT NULL, c0294 INT NULL, c0295 INT NULL, c0296 INT NULL, c0297 INT NULL, c0298 INT NULL, c0299 INT NULL,
	c0300 INT NULL, c0301 INT NULL, c0302 INT NULL, c0303 INT NULL, c0304 INT NULL, c0305 INT NULL, c0306 INT NULL, c0307 INT NULL, c0308 INT NULL, c0309 INT NULL,	c0310 INT NULL, c0311 INT NULL, c0312 INT NULL, c0313 INT NULL, c0314 INT NULL, c0315 INT NULL, c0316 INT NULL, c0317 INT NULL, c0318 INT NULL, c0319 INT NULL,	c0320 INT NULL, c0321 INT NULL, c0322 INT NULL, c0323 INT NULL, c0324 INT NULL, c0325 INT NULL, c0326 INT NULL, c0327 INT NULL, c0328 INT NULL, c0329 INT NULL,	c0330 INT NULL, c0331 INT NULL, c0332 INT NULL, c0333 INT NULL, c0334 INT NULL, c0335 INT NULL, c0336 INT NULL, c0337 INT NULL, c0338 INT NULL, c0339 INT NULL,	c0340 INT NULL, c0341 INT NULL, c0342 INT NULL, c0343 INT NULL, c0344 INT NULL, c0345 INT NULL, c0346 INT NULL, c0347 INT NULL, c0348 INT NULL, c0349 INT NULL,	c0350 INT NULL, c0351 INT NULL, c0352 INT NULL, c0353 INT NULL, c0354 INT NULL, c0355 INT NULL, c0356 INT NULL, c0357 INT NULL, c0358 INT NULL, c0359 INT NULL,	c0360 INT NULL, c0361 INT NULL, c0362 INT NULL, c0363 INT NULL, c0364 INT NULL, c0365 INT NULL, c0366 INT NULL, c0367 INT NULL, c0368 INT NULL, c0369 INT NULL,	c0370 INT NULL, c0371 INT NULL, c0372 INT NULL, c0373 INT NULL, c0374 INT NULL, c0375 INT NULL, c0376 INT NULL, c0377 INT NULL, c0378 INT NULL, c0379 INT NULL,	c0380 INT NULL, c0381 INT NULL, c0382 INT NULL, c0383 INT NULL, c0384 INT NULL, c0385 INT NULL, c0386 INT NULL, c0387 INT NULL, c0388 INT NULL, c0389 INT NULL,	c0390 INT NULL, c0391 INT NULL, c0392 INT NULL, c0393 INT NULL, c0394 INT NULL, c0395 INT NULL, c0396 INT NULL, c0397 INT NULL, c0398 INT NULL, c0399 INT NULL,
	c0400 INT NULL, c0401 INT NULL, c0402 INT NULL, c0403 INT NULL, c0404 INT NULL, c0405 INT NULL, c0406 INT NULL, c0407 INT NULL, c0408 INT NULL, c0409 INT NULL,	c0410 INT NULL, c0411 INT NULL, c0412 INT NULL, c0413 INT NULL, c0414 INT NULL, c0415 INT NULL, c0416 INT NULL, c0417 INT NULL, c0418 INT NULL, c0419 INT NULL,	c0420 INT NULL, c0421 INT NULL, c0422 INT NULL, c0423 INT NULL, c0424 INT NULL, c0425 INT NULL, c0426 INT NULL, c0427 INT NULL, c0428 INT NULL, c0429 INT NULL,	c0430 INT NULL, c0431 INT NULL, c0432 INT NULL, c0433 INT NULL, c0434 INT NULL, c0435 INT NULL, c0436 INT NULL, c0437 INT NULL, c0438 INT NULL, c0439 INT NULL,	c0440 INT NULL, c0441 INT NULL, c0442 INT NULL, c0443 INT NULL, c0444 INT NULL, c0445 INT NULL, c0446 INT NULL, c0447 INT NULL, c0448 INT NULL, c0449 INT NULL,	c0450 INT NULL, c0451 INT NULL, c0452 INT NULL, c0453 INT NULL, c0454 INT NULL, c0455 INT NULL, c0456 INT NULL, c0457 INT NULL, c0458 INT NULL, c0459 INT NULL,	c0460 INT NULL, c0461 INT NULL, c0462 INT NULL, c0463 INT NULL, c0464 INT NULL, c0465 INT NULL, c0466 INT NULL, c0467 INT NULL, c0468 INT NULL, c0469 INT NULL,	c0470 INT NULL, c0471 INT NULL, c0472 INT NULL, c0473 INT NULL, c0474 INT NULL, c0475 INT NULL, c0476 INT NULL, c0477 INT NULL, c0478 INT NULL, c0479 INT NULL,	c0480 INT NULL, c0481 INT NULL, c0482 INT NULL, c0483 INT NULL, c0484 INT NULL, c0485 INT NULL, c0486 INT NULL, c0487 INT NULL, c0488 INT NULL, c0489 INT NULL,	c0490 INT NULL, c0491 INT NULL, c0492 INT NULL, c0493 INT NULL, c0494 INT NULL, c0495 INT NULL, c0496 INT NULL, c0497 INT NULL, c0498 INT NULL, c0499 INT NULL,
	c0500 INT NULL, c0501 INT NULL, c0502 INT NULL, c0503 INT NULL, c0504 INT NULL, c0505 INT NULL, c0506 INT NULL, c0507 INT NULL, c0508 INT NULL, c0509 INT NULL,	c0510 INT NULL, c0511 INT NULL, c0512 INT NULL, c0513 INT NULL, c0514 INT NULL, c0515 INT NULL, c0516 INT NULL, c0517 INT NULL, c0518 INT NULL, c0519 INT NULL,	c0520 INT NULL, c0521 INT NULL, c0522 INT NULL, c0523 INT NULL, c0524 INT NULL, c0525 INT NULL, c0526 INT NULL, c0527 INT NULL, c0528 INT NULL, c0529 INT NULL,	c0530 INT NULL, c0531 INT NULL, c0532 INT NULL, c0533 INT NULL, c0534 INT NULL, c0535 INT NULL, c0536 INT NULL, c0537 INT NULL, c0538 INT NULL, c0539 INT NULL,	c0540 INT NULL, c0541 INT NULL, c0542 INT NULL, c0543 INT NULL, c0544 INT NULL, c0545 INT NULL, c0546 INT NULL, c0547 INT NULL, c0548 INT NULL, c0549 INT NULL,	c0550 INT NULL, c0551 INT NULL, c0552 INT NULL, c0553 INT NULL, c0554 INT NULL, c0555 INT NULL, c0556 INT NULL, c0557 INT NULL, c0558 INT NULL, c0559 INT NULL,	c0560 INT NULL, c0561 INT NULL, c0562 INT NULL, c0563 INT NULL, c0564 INT NULL, c0565 INT NULL, c0566 INT NULL, c0567 INT NULL, c0568 INT NULL, c0569 INT NULL,	c0570 INT NULL, c0571 INT NULL, c0572 INT NULL, c0573 INT NULL, c0574 INT NULL, c0575 INT NULL, c0576 INT NULL, c0577 INT NULL, c0578 INT NULL, c0579 INT NULL,	c0580 INT NULL, c0581 INT NULL, c0582 INT NULL, c0583 INT NULL, c0584 INT NULL, c0585 INT NULL, c0586 INT NULL, c0587 INT NULL, c0588 INT NULL, c0589 INT NULL,	c0590 INT NULL, c0591 INT NULL, c0592 INT NULL, c0593 INT NULL, c0594 INT NULL, c0595 INT NULL, c0596 INT NULL, c0597 INT NULL, c0598 INT NULL, c0599 INT NULL,
	c0600 INT NULL, c0601 INT NULL, c0602 INT NULL, c0603 INT NULL, c0604 INT NULL, c0605 INT NULL, c0606 INT NULL, c0607 INT NULL, c0608 INT NULL, c0609 INT NULL,	c0610 INT NULL, c0611 INT NULL, c0612 INT NULL, c0613 INT NULL, c0614 INT NULL, c0615 INT NULL, c0616 INT NULL, c0617 INT NULL, c0618 INT NULL, c0619 INT NULL,	c0620 INT NULL, c0621 INT NULL, c0622 INT NULL, c0623 INT NULL, c0624 INT NULL, c0625 INT NULL, c0626 INT NULL, c0627 INT NULL, c0628 INT NULL, c0629 INT NULL,	c0630 INT NULL, c0631 INT NULL, c0632 INT NULL, c0633 INT NULL, c0634 INT NULL, c0635 INT NULL, c0636 INT NULL, c0637 INT NULL, c0638 INT NULL, c0639 INT NULL,	c0640 INT NULL, c0641 INT NULL, c0642 INT NULL, c0643 INT NULL, c0644 INT NULL, c0645 INT NULL, c0646 INT NULL, c0647 INT NULL, c0648 INT NULL, c0649 INT NULL,	c0650 INT NULL, c0651 INT NULL, c0652 INT NULL, c0653 INT NULL, c0654 INT NULL, c0655 INT NULL, c0656 INT NULL, c0657 INT NULL, c0658 INT NULL, c0659 INT NULL,	c0660 INT NULL, c0661 INT NULL, c0662 INT NULL, c0663 INT NULL, c0664 INT NULL, c0665 INT NULL, c0666 INT NULL, c0667 INT NULL, c0668 INT NULL, c0669 INT NULL,	c0670 INT NULL, c0671 INT NULL, c0672 INT NULL, c0673 INT NULL, c0674 INT NULL, c0675 INT NULL, c0676 INT NULL, c0677 INT NULL, c0678 INT NULL, c0679 INT NULL,	c0680 INT NULL, c0681 INT NULL, c0682 INT NULL, c0683 INT NULL, c0684 INT NULL, c0685 INT NULL, c0686 INT NULL, c0687 INT NULL, c0688 INT NULL, c0689 INT NULL,	c0690 INT NULL, c0691 INT NULL, c0692 INT NULL, c0693 INT NULL, c0694 INT NULL, c0695 INT NULL, c0696 INT NULL, c0697 INT NULL, c0698 INT NULL, c0699 INT NULL,
	c0700 INT NULL, c0701 INT NULL, c0702 INT NULL, c0703 INT NULL, c0704 INT NULL, c0705 INT NULL, c0706 INT NULL, c0707 INT NULL, c0708 INT NULL, c0709 INT NULL,	c0710 INT NULL, c0711 INT NULL, c0712 INT NULL, c0713 INT NULL, c0714 INT NULL, c0715 INT NULL, c0716 INT NULL, c0717 INT NULL, c0718 INT NULL, c0719 INT NULL,	c0720 INT NULL, c0721 INT NULL, c0722 INT NULL, c0723 INT NULL, c0724 INT NULL, c0725 INT NULL, c0726 INT NULL, c0727 INT NULL, c0728 INT NULL, c0729 INT NULL,	c0730 INT NULL, c0731 INT NULL, c0732 INT NULL, c0733 INT NULL, c0734 INT NULL, c0735 INT NULL, c0736 INT NULL, c0737 INT NULL, c0738 INT NULL, c0739 INT NULL,	c0740 INT NULL, c0741 INT NULL, c0742 INT NULL, c0743 INT NULL, c0744 INT NULL, c0745 INT NULL, c0746 INT NULL, c0747 INT NULL, c0748 INT NULL, c0749 INT NULL,	c0750 INT NULL, c0751 INT NULL, c0752 INT NULL, c0753 INT NULL, c0754 INT NULL, c0755 INT NULL, c0756 INT NULL, c0757 INT NULL, c0758 INT NULL, c0759 INT NULL,	c0760 INT NULL, c0761 INT NULL, c0762 INT NULL, c0763 INT NULL, c0764 INT NULL, c0765 INT NULL, c0766 INT NULL, c0767 INT NULL, c0768 INT NULL, c0769 INT NULL,	c0770 INT NULL, c0771 INT NULL, c0772 INT NULL, c0773 INT NULL, c0774 INT NULL, c0775 INT NULL, c0776 INT NULL, c0777 INT NULL, c0778 INT NULL, c0779 INT NULL,	c0780 INT NULL, c0781 INT NULL, c0782 INT NULL, c0783 INT NULL, c0784 INT NULL, c0785 INT NULL, c0786 INT NULL, c0787 INT NULL, c0788 INT NULL, c0789 INT NULL,	c0790 INT NULL, c0791 INT NULL, c0792 INT NULL, c0793 INT NULL, c0794 INT NULL, c0795 INT NULL, c0796 INT NULL, c0797 INT NULL, c0798 INT NULL, c0799 INT NULL,
	c0800 INT NULL, c0801 INT NULL, c0802 INT NULL, c0803 INT NULL, c0804 INT NULL, c0805 INT NULL, c0806 INT NULL, c0807 INT NULL, c0808 INT NULL, c0809 INT NULL,	c0810 INT NULL, c0811 INT NULL, c0812 INT NULL, c0813 INT NULL, c0814 INT NULL, c0815 INT NULL, c0816 INT NULL, c0817 INT NULL, c0818 INT NULL, c0819 INT NULL,	c0820 INT NULL, c0821 INT NULL, c0822 INT NULL, c0823 INT NULL, c0824 INT NULL, c0825 INT NULL, c0826 INT NULL, c0827 INT NULL, c0828 INT NULL, c0829 INT NULL,	c0830 INT NULL, c0831 INT NULL, c0832 INT NULL, c0833 INT NULL, c0834 INT NULL, c0835 INT NULL, c0836 INT NULL, c0837 INT NULL, c0838 INT NULL, c0839 INT NULL,	c0840 INT NULL, c0841 INT NULL, c0842 INT NULL, c0843 INT NULL, c0844 INT NULL, c0845 INT NULL, c0846 INT NULL, c0847 INT NULL, c0848 INT NULL, c0849 INT NULL,	c0850 INT NULL, c0851 INT NULL, c0852 INT NULL, c0853 INT NULL, c0854 INT NULL, c0855 INT NULL, c0856 INT NULL, c0857 INT NULL, c0858 INT NULL, c0859 INT NULL,	c0860 INT NULL, c0861 INT NULL, c0862 INT NULL, c0863 INT NULL, c0864 INT NULL, c0865 INT NULL, c0866 INT NULL, c0867 INT NULL, c0868 INT NULL, c0869 INT NULL,	c0870 INT NULL, c0871 INT NULL, c0872 INT NULL, c0873 INT NULL, c0874 INT NULL, c0875 INT NULL, c0876 INT NULL, c0877 INT NULL, c0878 INT NULL, c0879 INT NULL,	c0880 INT NULL, c0881 INT NULL, c0882 INT NULL, c0883 INT NULL, c0884 INT NULL, c0885 INT NULL, c0886 INT NULL, c0887 INT NULL, c0888 INT NULL, c0889 INT NULL,	c0890 INT NULL, c0891 INT NULL, c0892 INT NULL, c0893 INT NULL, c0894 INT NULL, c0895 INT NULL, c0896 INT NULL, c0897 INT NULL, c0898 INT NULL, c0899 INT NULL,
	c0900 INT NULL, c0901 INT NULL, c0902 INT NULL, c0903 INT NULL, c0904 INT NULL, c0905 INT NULL, c0906 INT NULL, c0907 INT NULL, c0908 INT NULL, c0909 INT NULL,	c0910 INT NULL, c0911 INT NULL, c0912 INT NULL, c0913 INT NULL, c0914 INT NULL, c0915 INT NULL, c0916 INT NULL, c0917 INT NULL, c0918 INT NULL, c0919 INT NULL, 	c0920 INT NULL, c0921 INT NULL, c0922 INT NULL, c0923 INT NULL, c0924 INT NULL, c0925 INT NULL, c0926 INT NULL, c0927 INT NULL, c0928 INT NULL, c0929 INT NULL,	c0930 INT NULL, c0931 INT NULL, c0932 INT NULL, c0933 INT NULL, c0934 INT NULL, c0935 INT NULL, c0936 INT NULL, c0937 INT NULL, c0938 INT NULL, c0939 INT NULL,	c0940 INT NULL, c0941 INT NULL, c0942 INT NULL, c0943 INT NULL, c0944 INT NULL, c0945 INT NULL, c0946 INT NULL, c0947 INT NULL, c0948 INT NULL, c0949 INT NULL,	c0950 INT NULL, c0951 INT NULL, c0952 INT NULL, c0953 INT NULL, c0954 INT NULL, c0955 INT NULL, c0956 INT NULL, c0957 INT NULL, c0958 INT NULL, c0959 INT NULL,	c0960 INT NULL, c0961 INT NULL, c0962 INT NULL, c0963 INT NULL, c0964 INT NULL, c0965 INT NULL, c0966 INT NULL, c0967 INT NULL, c0968 INT NULL, c0969 INT NULL,	c0970 INT NULL, c0971 INT NULL, c0972 INT NULL, c0973 INT NULL, c0974 INT NULL, c0975 INT NULL, c0976 INT NULL, c0977 INT NULL, c0978 INT NULL, c0979 INT NULL,  	c0980 INT NULL, c0981 INT NULL, c0982 INT NULL, c0983 INT NULL, c0984 INT NULL, c0985 INT NULL, c0986 INT NULL, c0987 INT NULL, c0988 INT NULL, c0989 INT NULL,	c0990 INT NULL, c0991 INT NULL, c0992 INT NULL, c0993 INT NULL, c0994 INT NULL, c0995 INT NULL, c0996 INT NULL, c0997 INT NULL, c0998 INT NULL, c0999 INT NULL,
	c1000 INT NULL);
GO
CREATE TABLE TableWithSparseColumns (
	DocID INT IDENTITY, DocName VARCHAR (100), DocType INT,
	c0004 INT SPARSE NULL, c0005 INT SPARSE NULL, c0006 INT SPARSE NULL, c0007 INT SPARSE NULL, c0008 INT SPARSE NULL, c0009 INT SPARSE NULL,	c0010 INT SPARSE NULL, c0011 INT SPARSE NULL, c0012 INT SPARSE NULL, c0013 INT SPARSE NULL, c0014 INT SPARSE NULL, c0015 INT SPARSE NULL, c0016 INT SPARSE NULL, c0017 INT SPARSE NULL, c0018 INT SPARSE NULL, c0019 INT SPARSE NULL,	c0020 INT SPARSE NULL, c0021 INT SPARSE NULL, c0022 INT SPARSE NULL, c0023 INT SPARSE NULL, c0024 INT SPARSE NULL, c0025 INT SPARSE NULL, c0026 INT SPARSE NULL, c0027 INT SPARSE NULL, c0028 INT SPARSE NULL, c0029 INT SPARSE NULL,	c0030 INT SPARSE NULL, c0031 INT SPARSE NULL, c0032 INT SPARSE NULL, c0033 INT SPARSE NULL, c0034 INT SPARSE NULL, c0035 INT SPARSE NULL, c0036 INT SPARSE NULL, c0037 INT SPARSE NULL, c0038 INT SPARSE NULL, c0039 INT SPARSE NULL,	c0040 INT SPARSE NULL, c0041 INT SPARSE NULL, c0042 INT SPARSE NULL, c0043 INT SPARSE NULL, c0044 INT SPARSE NULL, c0045 INT SPARSE NULL, c0046 INT SPARSE NULL, c0047 INT SPARSE NULL, c0048 INT SPARSE NULL, c0049 INT SPARSE NULL,	c0050 INT SPARSE NULL, c0051 INT SPARSE NULL, c0052 INT SPARSE NULL, c0053 INT SPARSE NULL, c0054 INT SPARSE NULL, c0055 INT SPARSE NULL, c0056 INT SPARSE NULL, c0057 INT SPARSE NULL, c0058 INT SPARSE NULL, c0059 INT SPARSE NULL,	c0060 INT SPARSE NULL, c0061 INT SPARSE NULL, c0062 INT SPARSE NULL, c0063 INT SPARSE NULL, c0064 INT SPARSE NULL, c0065 INT SPARSE NULL, c0066 INT SPARSE NULL, c0067 INT SPARSE NULL, c0068 INT SPARSE NULL, c0069 INT SPARSE NULL,	c0070 INT SPARSE NULL, c0071 INT SPARSE NULL, c0072 INT SPARSE NULL, c0073 INT SPARSE NULL, c0074 INT SPARSE NULL, c0075 INT SPARSE NULL, c0076 INT SPARSE NULL, c0077 INT SPARSE NULL, c0078 INT SPARSE NULL, c0079 INT SPARSE NULL,	c0080 INT SPARSE NULL, c0081 INT SPARSE NULL, c0082 INT SPARSE NULL, c0083 INT SPARSE NULL, c0084 INT SPARSE NULL, c0085 INT SPARSE NULL, c0086 INT SPARSE NULL, c0087 INT SPARSE NULL, c0088 INT SPARSE NULL, c0089 INT SPARSE NULL,	c0090 INT SPARSE NULL, c0091 INT SPARSE NULL, c0092 INT SPARSE NULL, c0093 INT SPARSE NULL, c0094 INT SPARSE NULL, c0095 INT SPARSE NULL, c0096 INT SPARSE NULL, c0097 INT SPARSE NULL, c0098 INT SPARSE NULL, c0099 INT SPARSE NULL,
	c0100 INT SPARSE NULL, c0101 INT SPARSE NULL, c0102 INT SPARSE NULL, c0103 INT SPARSE NULL, c0104 INT SPARSE NULL, c0105 INT SPARSE NULL, c0106 INT SPARSE NULL, c0107 INT SPARSE NULL, c0108 INT SPARSE NULL, c0109 INT SPARSE NULL,	c0110 INT SPARSE NULL, c0111 INT SPARSE NULL, c0112 INT SPARSE NULL, c0113 INT SPARSE NULL, c0114 INT SPARSE NULL, c0115 INT SPARSE NULL, c0116 INT SPARSE NULL, c0117 INT SPARSE NULL, c0118 INT SPARSE NULL, c0119 INT SPARSE NULL,	c0120 INT SPARSE NULL, c0121 INT SPARSE NULL, c0122 INT SPARSE NULL, c0123 INT SPARSE NULL, c0124 INT SPARSE NULL, c0125 INT SPARSE NULL, c0126 INT SPARSE NULL, c0127 INT SPARSE NULL, c0128 INT SPARSE NULL, c0129 INT SPARSE NULL,	c0130 INT SPARSE NULL, c0131 INT SPARSE NULL, c0132 INT SPARSE NULL, c0133 INT SPARSE NULL, c0134 INT SPARSE NULL, c0135 INT SPARSE NULL, c0136 INT SPARSE NULL, c0137 INT SPARSE NULL, c0138 INT SPARSE NULL, c0139 INT SPARSE NULL,	c0140 INT SPARSE NULL, c0141 INT SPARSE NULL, c0142 INT SPARSE NULL, c0143 INT SPARSE NULL, c0144 INT SPARSE NULL, c0145 INT SPARSE NULL, c0146 INT SPARSE NULL, c0147 INT SPARSE NULL, c0148 INT SPARSE NULL, c0149 INT SPARSE NULL,	c0150 INT SPARSE NULL, c0151 INT SPARSE NULL, c0152 INT SPARSE NULL, c0153 INT SPARSE NULL, c0154 INT SPARSE NULL, c0155 INT SPARSE NULL, c0156 INT SPARSE NULL, c0157 INT SPARSE NULL, c0158 INT SPARSE NULL, c0159 INT SPARSE NULL,	c0160 INT SPARSE NULL, c0161 INT SPARSE NULL, c0162 INT SPARSE NULL, c0163 INT SPARSE NULL, c0164 INT SPARSE NULL, c0165 INT SPARSE NULL, c0166 INT SPARSE NULL, c0167 INT SPARSE NULL, c0168 INT SPARSE NULL, c0169 INT SPARSE NULL,	c0170 INT SPARSE NULL, c0171 INT SPARSE NULL, c0172 INT SPARSE NULL, c0173 INT SPARSE NULL, c0174 INT SPARSE NULL, c0175 INT SPARSE NULL, c0176 INT SPARSE NULL, c0177 INT SPARSE NULL, c0178 INT SPARSE NULL, c0179 INT SPARSE NULL,	c0180 INT SPARSE NULL, c0181 INT SPARSE NULL, c0182 INT SPARSE NULL, c0183 INT SPARSE NULL, c0184 INT SPARSE NULL, c0185 INT SPARSE NULL, c0186 INT SPARSE NULL, c0187 INT SPARSE NULL, c0188 INT SPARSE NULL, c0189 INT SPARSE NULL,	c0190 INT SPARSE NULL, c0191 INT SPARSE NULL, c0192 INT SPARSE NULL, c0193 INT SPARSE NULL, c0194 INT SPARSE NULL, c0195 INT SPARSE NULL, c0196 INT SPARSE NULL, c0197 INT SPARSE NULL, c0198 INT SPARSE NULL, c0199 INT SPARSE NULL,
	c0200 INT SPARSE NULL, c0201 INT SPARSE NULL, c0202 INT SPARSE NULL, c0203 INT SPARSE NULL, c0204 INT SPARSE NULL, c0205 INT SPARSE NULL, c0206 INT SPARSE NULL, c0207 INT SPARSE NULL, c0208 INT SPARSE NULL, c0209 INT SPARSE NULL,	c0210 INT SPARSE NULL, c0211 INT SPARSE NULL, c0212 INT SPARSE NULL, c0213 INT SPARSE NULL, c0214 INT SPARSE NULL, c0215 INT SPARSE NULL, c0216 INT SPARSE NULL, c0217 INT SPARSE NULL, c0218 INT SPARSE NULL, c0219 INT SPARSE NULL,	c0220 INT SPARSE NULL, c0221 INT SPARSE NULL, c0222 INT SPARSE NULL, c0223 INT SPARSE NULL, c0224 INT SPARSE NULL, c0225 INT SPARSE NULL, c0226 INT SPARSE NULL, c0227 INT SPARSE NULL, c0228 INT SPARSE NULL, c0229 INT SPARSE NULL,	c0230 INT SPARSE NULL, c0231 INT SPARSE NULL, c0232 INT SPARSE NULL, c0233 INT SPARSE NULL, c0234 INT SPARSE NULL, c0235 INT SPARSE NULL, c0236 INT SPARSE NULL, c0237 INT SPARSE NULL, c0238 INT SPARSE NULL, c0239 INT SPARSE NULL,	c0240 INT SPARSE NULL, c0241 INT SPARSE NULL, c0242 INT SPARSE NULL, c0243 INT SPARSE NULL, c0244 INT SPARSE NULL, c0245 INT SPARSE NULL, c0246 INT SPARSE NULL, c0247 INT SPARSE NULL, c0248 INT SPARSE NULL, c0249 INT SPARSE NULL,	c0250 INT SPARSE NULL, c0251 INT SPARSE NULL, c0252 INT SPARSE NULL, c0253 INT SPARSE NULL, c0254 INT SPARSE NULL, c0255 INT SPARSE NULL, c0256 INT SPARSE NULL, c0257 INT SPARSE NULL, c0258 INT SPARSE NULL, c0259 INT SPARSE NULL,	c0260 INT SPARSE NULL, c0261 INT SPARSE NULL, c0262 INT SPARSE NULL, c0263 INT SPARSE NULL, c0264 INT SPARSE NULL, c0265 INT SPARSE NULL, c0266 INT SPARSE NULL, c0267 INT SPARSE NULL, c0268 INT SPARSE NULL, c0269 INT SPARSE NULL,	c0270 INT SPARSE NULL, c0271 INT SPARSE NULL, c0272 INT SPARSE NULL, c0273 INT SPARSE NULL, c0274 INT SPARSE NULL, c0275 INT SPARSE NULL, c0276 INT SPARSE NULL, c0277 INT SPARSE NULL, c0278 INT SPARSE NULL, c0279 INT SPARSE NULL,	c0280 INT SPARSE NULL, c0281 INT SPARSE NULL, c0282 INT SPARSE NULL, c0283 INT SPARSE NULL, c0284 INT SPARSE NULL, c0285 INT SPARSE NULL, c0286 INT SPARSE NULL, c0287 INT SPARSE NULL, c0288 INT SPARSE NULL, c0289 INT SPARSE NULL,	c0290 INT SPARSE NULL, c0291 INT SPARSE NULL, c0292 INT SPARSE NULL, c0293 INT SPARSE NULL, c0294 INT SPARSE NULL, c0295 INT SPARSE NULL, c0296 INT SPARSE NULL, c0297 INT SPARSE NULL, c0298 INT SPARSE NULL, c0299 INT SPARSE NULL,
	c0300 INT SPARSE NULL, c0301 INT SPARSE NULL, c0302 INT SPARSE NULL, c0303 INT SPARSE NULL, c0304 INT SPARSE NULL, c0305 INT SPARSE NULL, c0306 INT SPARSE NULL, c0307 INT SPARSE NULL, c0308 INT SPARSE NULL, c0309 INT SPARSE NULL,	c0310 INT SPARSE NULL, c0311 INT SPARSE NULL, c0312 INT SPARSE NULL, c0313 INT SPARSE NULL, c0314 INT SPARSE NULL, c0315 INT SPARSE NULL, c0316 INT SPARSE NULL, c0317 INT SPARSE NULL, c0318 INT SPARSE NULL, c0319 INT SPARSE NULL,	c0320 INT SPARSE NULL, c0321 INT SPARSE NULL, c0322 INT SPARSE NULL, c0323 INT SPARSE NULL, c0324 INT SPARSE NULL, c0325 INT SPARSE NULL, c0326 INT SPARSE NULL, c0327 INT SPARSE NULL, c0328 INT SPARSE NULL, c0329 INT SPARSE NULL,	c0330 INT SPARSE NULL, c0331 INT SPARSE NULL, c0332 INT SPARSE NULL, c0333 INT SPARSE NULL, c0334 INT SPARSE NULL, c0335 INT SPARSE NULL, c0336 INT SPARSE NULL, c0337 INT SPARSE NULL, c0338 INT SPARSE NULL, c0339 INT SPARSE NULL,	c0340 INT SPARSE NULL, c0341 INT SPARSE NULL, c0342 INT SPARSE NULL, c0343 INT SPARSE NULL, c0344 INT SPARSE NULL, c0345 INT SPARSE NULL, c0346 INT SPARSE NULL, c0347 INT SPARSE NULL, c0348 INT SPARSE NULL, c0349 INT SPARSE NULL,	c0350 INT SPARSE NULL, c0351 INT SPARSE NULL, c0352 INT SPARSE NULL, c0353 INT SPARSE NULL, c0354 INT SPARSE NULL, c0355 INT SPARSE NULL, c0356 INT SPARSE NULL, c0357 INT SPARSE NULL, c0358 INT SPARSE NULL, c0359 INT SPARSE NULL,	c0360 INT SPARSE NULL, c0361 INT SPARSE NULL, c0362 INT SPARSE NULL, c0363 INT SPARSE NULL, c0364 INT SPARSE NULL, c0365 INT SPARSE NULL, c0366 INT SPARSE NULL, c0367 INT SPARSE NULL, c0368 INT SPARSE NULL, c0369 INT SPARSE NULL,	c0370 INT SPARSE NULL, c0371 INT SPARSE NULL, c0372 INT SPARSE NULL, c0373 INT SPARSE NULL, c0374 INT SPARSE NULL, c0375 INT SPARSE NULL, c0376 INT SPARSE NULL, c0377 INT SPARSE NULL, c0378 INT SPARSE NULL, c0379 INT SPARSE NULL,	c0380 INT SPARSE NULL, c0381 INT SPARSE NULL, c0382 INT SPARSE NULL, c0383 INT SPARSE NULL, c0384 INT SPARSE NULL, c0385 INT SPARSE NULL, c0386 INT SPARSE NULL, c0387 INT SPARSE NULL, c0388 INT SPARSE NULL, c0389 INT SPARSE NULL,	c0390 INT SPARSE NULL, c0391 INT SPARSE NULL, c0392 INT SPARSE NULL, c0393 INT SPARSE NULL, c0394 INT SPARSE NULL, c0395 INT SPARSE NULL, c0396 INT SPARSE NULL, c0397 INT SPARSE NULL, c0398 INT SPARSE NULL, c0399 INT SPARSE NULL,
	c0400 INT SPARSE NULL, c0401 INT SPARSE NULL, c0402 INT SPARSE NULL, c0403 INT SPARSE NULL, c0404 INT SPARSE NULL, c0405 INT SPARSE NULL, c0406 INT SPARSE NULL, c0407 INT SPARSE NULL, c0408 INT SPARSE NULL, c0409 INT SPARSE NULL,	c0410 INT SPARSE NULL, c0411 INT SPARSE NULL, c0412 INT SPARSE NULL, c0413 INT SPARSE NULL, c0414 INT SPARSE NULL, c0415 INT SPARSE NULL, c0416 INT SPARSE NULL, c0417 INT SPARSE NULL, c0418 INT SPARSE NULL, c0419 INT SPARSE NULL,	c0420 INT SPARSE NULL, c0421 INT SPARSE NULL, c0422 INT SPARSE NULL, c0423 INT SPARSE NULL, c0424 INT SPARSE NULL, c0425 INT SPARSE NULL, c0426 INT SPARSE NULL, c0427 INT SPARSE NULL, c0428 INT SPARSE NULL, c0429 INT SPARSE NULL,	c0430 INT SPARSE NULL, c0431 INT SPARSE NULL, c0432 INT SPARSE NULL, c0433 INT SPARSE NULL, c0434 INT SPARSE NULL, c0435 INT SPARSE NULL, c0436 INT SPARSE NULL, c0437 INT SPARSE NULL, c0438 INT SPARSE NULL, c0439 INT SPARSE NULL,	c0440 INT SPARSE NULL, c0441 INT SPARSE NULL, c0442 INT SPARSE NULL, c0443 INT SPARSE NULL, c0444 INT SPARSE NULL, c0445 INT SPARSE NULL, c0446 INT SPARSE NULL, c0447 INT SPARSE NULL, c0448 INT SPARSE NULL, c0449 INT SPARSE NULL,	c0450 INT SPARSE NULL, c0451 INT SPARSE NULL, c0452 INT SPARSE NULL, c0453 INT SPARSE NULL, c0454 INT SPARSE NULL, c0455 INT SPARSE NULL, c0456 INT SPARSE NULL, c0457 INT SPARSE NULL, c0458 INT SPARSE NULL, c0459 INT SPARSE NULL,	c0460 INT SPARSE NULL, c0461 INT SPARSE NULL, c0462 INT SPARSE NULL, c0463 INT SPARSE NULL, c0464 INT SPARSE NULL, c0465 INT SPARSE NULL, c0466 INT SPARSE NULL, c0467 INT SPARSE NULL, c0468 INT SPARSE NULL, c0469 INT SPARSE NULL,	c0470 INT SPARSE NULL, c0471 INT SPARSE NULL, c0472 INT SPARSE NULL, c0473 INT SPARSE NULL, c0474 INT SPARSE NULL, c0475 INT SPARSE NULL, c0476 INT SPARSE NULL, c0477 INT SPARSE NULL, c0478 INT SPARSE NULL, c0479 INT SPARSE NULL,	c0480 INT SPARSE NULL, c0481 INT SPARSE NULL, c0482 INT SPARSE NULL, c0483 INT SPARSE NULL, c0484 INT SPARSE NULL, c0485 INT SPARSE NULL, c0486 INT SPARSE NULL, c0487 INT SPARSE NULL, c0488 INT SPARSE NULL, c0489 INT SPARSE NULL,	c0490 INT SPARSE NULL, c0491 INT SPARSE NULL, c0492 INT SPARSE NULL, c0493 INT SPARSE NULL, c0494 INT SPARSE NULL, c0495 INT SPARSE NULL, c0496 INT SPARSE NULL, c0497 INT SPARSE NULL, c0498 INT SPARSE NULL, c0499 INT SPARSE NULL,
	c0500 INT SPARSE NULL, c0501 INT SPARSE NULL, c0502 INT SPARSE NULL, c0503 INT SPARSE NULL, c0504 INT SPARSE NULL, c0505 INT SPARSE NULL, c0506 INT SPARSE NULL, c0507 INT SPARSE NULL, c0508 INT SPARSE NULL, c0509 INT SPARSE NULL,	c0510 INT SPARSE NULL, c0511 INT SPARSE NULL, c0512 INT SPARSE NULL, c0513 INT SPARSE NULL, c0514 INT SPARSE NULL, c0515 INT SPARSE NULL, c0516 INT SPARSE NULL, c0517 INT SPARSE NULL, c0518 INT SPARSE NULL, c0519 INT SPARSE NULL,	c0520 INT SPARSE NULL, c0521 INT SPARSE NULL, c0522 INT SPARSE NULL, c0523 INT SPARSE NULL, c0524 INT SPARSE NULL, c0525 INT SPARSE NULL, c0526 INT SPARSE NULL, c0527 INT SPARSE NULL, c0528 INT SPARSE NULL, c0529 INT SPARSE NULL,	c0530 INT SPARSE NULL, c0531 INT SPARSE NULL, c0532 INT SPARSE NULL, c0533 INT SPARSE NULL, c0534 INT SPARSE NULL, c0535 INT SPARSE NULL, c0536 INT SPARSE NULL, c0537 INT SPARSE NULL, c0538 INT SPARSE NULL, c0539 INT SPARSE NULL,	c0540 INT SPARSE NULL, c0541 INT SPARSE NULL, c0542 INT SPARSE NULL, c0543 INT SPARSE NULL, c0544 INT SPARSE NULL, c0545 INT SPARSE NULL, c0546 INT SPARSE NULL, c0547 INT SPARSE NULL, c0548 INT SPARSE NULL, c0549 INT SPARSE NULL,	c0550 INT SPARSE NULL, c0551 INT SPARSE NULL, c0552 INT SPARSE NULL, c0553 INT SPARSE NULL, c0554 INT SPARSE NULL, c0555 INT SPARSE NULL, c0556 INT SPARSE NULL, c0557 INT SPARSE NULL, c0558 INT SPARSE NULL, c0559 INT SPARSE NULL,	c0560 INT SPARSE NULL, c0561 INT SPARSE NULL, c0562 INT SPARSE NULL, c0563 INT SPARSE NULL, c0564 INT SPARSE NULL, c0565 INT SPARSE NULL, c0566 INT SPARSE NULL, c0567 INT SPARSE NULL, c0568 INT SPARSE NULL, c0569 INT SPARSE NULL,	c0570 INT SPARSE NULL, c0571 INT SPARSE NULL, c0572 INT SPARSE NULL, c0573 INT SPARSE NULL, c0574 INT SPARSE NULL, c0575 INT SPARSE NULL, c0576 INT SPARSE NULL, c0577 INT SPARSE NULL, c0578 INT SPARSE NULL, c0579 INT SPARSE NULL,	c0580 INT SPARSE NULL, c0581 INT SPARSE NULL, c0582 INT SPARSE NULL, c0583 INT SPARSE NULL, c0584 INT SPARSE NULL, c0585 INT SPARSE NULL, c0586 INT SPARSE NULL, c0587 INT SPARSE NULL, c0588 INT SPARSE NULL, c0589 INT SPARSE NULL,	c0590 INT SPARSE NULL, c0591 INT SPARSE NULL, c0592 INT SPARSE NULL, c0593 INT SPARSE NULL, c0594 INT SPARSE NULL, c0595 INT SPARSE NULL, c0596 INT SPARSE NULL, c0597 INT SPARSE NULL, c0598 INT SPARSE NULL, c0599 INT SPARSE NULL,
	c0600 INT SPARSE NULL, c0601 INT SPARSE NULL, c0602 INT SPARSE NULL, c0603 INT SPARSE NULL, c0604 INT SPARSE NULL, c0605 INT SPARSE NULL, c0606 INT SPARSE NULL, c0607 INT SPARSE NULL, c0608 INT SPARSE NULL, c0609 INT SPARSE NULL,	c0610 INT SPARSE NULL, c0611 INT SPARSE NULL, c0612 INT SPARSE NULL, c0613 INT SPARSE NULL, c0614 INT SPARSE NULL, c0615 INT SPARSE NULL, c0616 INT SPARSE NULL, c0617 INT SPARSE NULL, c0618 INT SPARSE NULL, c0619 INT SPARSE NULL,	c0620 INT SPARSE NULL, c0621 INT SPARSE NULL, c0622 INT SPARSE NULL, c0623 INT SPARSE NULL, c0624 INT SPARSE NULL, c0625 INT SPARSE NULL, c0626 INT SPARSE NULL, c0627 INT SPARSE NULL, c0628 INT SPARSE NULL, c0629 INT SPARSE NULL,	c0630 INT SPARSE NULL, c0631 INT SPARSE NULL, c0632 INT SPARSE NULL, c0633 INT SPARSE NULL, c0634 INT SPARSE NULL, c0635 INT SPARSE NULL, c0636 INT SPARSE NULL, c0637 INT SPARSE NULL, c0638 INT SPARSE NULL, c0639 INT SPARSE NULL,	c0640 INT SPARSE NULL, c0641 INT SPARSE NULL, c0642 INT SPARSE NULL, c0643 INT SPARSE NULL, c0644 INT SPARSE NULL, c0645 INT SPARSE NULL, c0646 INT SPARSE NULL, c0647 INT SPARSE NULL, c0648 INT SPARSE NULL, c0649 INT SPARSE NULL,	c0650 INT SPARSE NULL, c0651 INT SPARSE NULL, c0652 INT SPARSE NULL, c0653 INT SPARSE NULL, c0654 INT SPARSE NULL, c0655 INT SPARSE NULL, c0656 INT SPARSE NULL, c0657 INT SPARSE NULL, c0658 INT SPARSE NULL, c0659 INT SPARSE NULL,	c0660 INT SPARSE NULL, c0661 INT SPARSE NULL, c0662 INT SPARSE NULL, c0663 INT SPARSE NULL, c0664 INT SPARSE NULL, c0665 INT SPARSE NULL, c0666 INT SPARSE NULL, c0667 INT SPARSE NULL, c0668 INT SPARSE NULL, c0669 INT SPARSE NULL,	c0670 INT SPARSE NULL, c0671 INT SPARSE NULL, c0672 INT SPARSE NULL, c0673 INT SPARSE NULL, c0674 INT SPARSE NULL, c0675 INT SPARSE NULL, c0676 INT SPARSE NULL, c0677 INT SPARSE NULL, c0678 INT SPARSE NULL, c0679 INT SPARSE NULL,	c0680 INT SPARSE NULL, c0681 INT SPARSE NULL, c0682 INT SPARSE NULL, c0683 INT SPARSE NULL, c0684 INT SPARSE NULL, c0685 INT SPARSE NULL, c0686 INT SPARSE NULL, c0687 INT SPARSE NULL, c0688 INT SPARSE NULL, c0689 INT SPARSE NULL,	c0690 INT SPARSE NULL, c0691 INT SPARSE NULL, c0692 INT SPARSE NULL, c0693 INT SPARSE NULL, c0694 INT SPARSE NULL, c0695 INT SPARSE NULL, c0696 INT SPARSE NULL, c0697 INT SPARSE NULL, c0698 INT SPARSE NULL, c0699 INT SPARSE NULL,
	c0700 INT SPARSE NULL, c0701 INT SPARSE NULL, c0702 INT SPARSE NULL, c0703 INT SPARSE NULL, c0704 INT SPARSE NULL, c0705 INT SPARSE NULL, c0706 INT SPARSE NULL, c0707 INT SPARSE NULL, c0708 INT SPARSE NULL, c0709 INT SPARSE NULL,	c0710 INT SPARSE NULL, c0711 INT SPARSE NULL, c0712 INT SPARSE NULL, c0713 INT SPARSE NULL, c0714 INT SPARSE NULL, c0715 INT SPARSE NULL, c0716 INT SPARSE NULL, c0717 INT SPARSE NULL, c0718 INT SPARSE NULL, c0719 INT SPARSE NULL,	c0720 INT SPARSE NULL, c0721 INT SPARSE NULL, c0722 INT SPARSE NULL, c0723 INT SPARSE NULL, c0724 INT SPARSE NULL, c0725 INT SPARSE NULL, c0726 INT SPARSE NULL, c0727 INT SPARSE NULL, c0728 INT SPARSE NULL, c0729 INT SPARSE NULL,	c0730 INT SPARSE NULL, c0731 INT SPARSE NULL, c0732 INT SPARSE NULL, c0733 INT SPARSE NULL, c0734 INT SPARSE NULL, c0735 INT SPARSE NULL, c0736 INT SPARSE NULL, c0737 INT SPARSE NULL, c0738 INT SPARSE NULL, c0739 INT SPARSE NULL,	c0740 INT SPARSE NULL, c0741 INT SPARSE NULL, c0742 INT SPARSE NULL, c0743 INT SPARSE NULL, c0744 INT SPARSE NULL, c0745 INT SPARSE NULL, c0746 INT SPARSE NULL, c0747 INT SPARSE NULL, c0748 INT SPARSE NULL, c0749 INT SPARSE NULL,	c0750 INT SPARSE NULL, c0751 INT SPARSE NULL, c0752 INT SPARSE NULL, c0753 INT SPARSE NULL, c0754 INT SPARSE NULL, c0755 INT SPARSE NULL, c0756 INT SPARSE NULL, c0757 INT SPARSE NULL, c0758 INT SPARSE NULL, c0759 INT SPARSE NULL,	c0760 INT SPARSE NULL, c0761 INT SPARSE NULL, c0762 INT SPARSE NULL, c0763 INT SPARSE NULL, c0764 INT SPARSE NULL, c0765 INT SPARSE NULL, c0766 INT SPARSE NULL, c0767 INT SPARSE NULL, c0768 INT SPARSE NULL, c0769 INT SPARSE NULL,	c0770 INT SPARSE NULL, c0771 INT SPARSE NULL, c0772 INT SPARSE NULL, c0773 INT SPARSE NULL, c0774 INT SPARSE NULL, c0775 INT SPARSE NULL, c0776 INT SPARSE NULL, c0777 INT SPARSE NULL, c0778 INT SPARSE NULL, c0779 INT SPARSE NULL,	c0780 INT SPARSE NULL, c0781 INT SPARSE NULL, c0782 INT SPARSE NULL, c0783 INT SPARSE NULL, c0784 INT SPARSE NULL, c0785 INT SPARSE NULL, c0786 INT SPARSE NULL, c0787 INT SPARSE NULL, c0788 INT SPARSE NULL, c0789 INT SPARSE NULL,	c0790 INT SPARSE NULL, c0791 INT SPARSE NULL, c0792 INT SPARSE NULL, c0793 INT SPARSE NULL, c0794 INT SPARSE NULL, c0795 INT SPARSE NULL, c0796 INT SPARSE NULL, c0797 INT SPARSE NULL, c0798 INT SPARSE NULL, c0799 INT SPARSE NULL,
	c0800 INT SPARSE NULL, c0801 INT SPARSE NULL, c0802 INT SPARSE NULL, c0803 INT SPARSE NULL, c0804 INT SPARSE NULL, c0805 INT SPARSE NULL, c0806 INT SPARSE NULL, c0807 INT SPARSE NULL, c0808 INT SPARSE NULL, c0809 INT SPARSE NULL,	c0810 INT SPARSE NULL, c0811 INT SPARSE NULL, c0812 INT SPARSE NULL, c0813 INT SPARSE NULL, c0814 INT SPARSE NULL, c0815 INT SPARSE NULL, c0816 INT SPARSE NULL, c0817 INT SPARSE NULL, c0818 INT SPARSE NULL, c0819 INT SPARSE NULL,	c0820 INT SPARSE NULL, c0821 INT SPARSE NULL, c0822 INT SPARSE NULL, c0823 INT SPARSE NULL, c0824 INT SPARSE NULL, c0825 INT SPARSE NULL, c0826 INT SPARSE NULL, c0827 INT SPARSE NULL, c0828 INT SPARSE NULL, c0829 INT SPARSE NULL,	c0830 INT SPARSE NULL, c0831 INT SPARSE NULL, c0832 INT SPARSE NULL, c0833 INT SPARSE NULL, c0834 INT SPARSE NULL, c0835 INT SPARSE NULL, c0836 INT SPARSE NULL, c0837 INT SPARSE NULL, c0838 INT SPARSE NULL, c0839 INT SPARSE NULL,	c0840 INT SPARSE NULL, c0841 INT SPARSE NULL, c0842 INT SPARSE NULL, c0843 INT SPARSE NULL, c0844 INT SPARSE NULL, c0845 INT SPARSE NULL, c0846 INT SPARSE NULL, c0847 INT SPARSE NULL, c0848 INT SPARSE NULL, c0849 INT SPARSE NULL,	c0850 INT SPARSE NULL, c0851 INT SPARSE NULL, c0852 INT SPARSE NULL, c0853 INT SPARSE NULL, c0854 INT SPARSE NULL, c0855 INT SPARSE NULL, c0856 INT SPARSE NULL, c0857 INT SPARSE NULL, c0858 INT SPARSE NULL, c0859 INT SPARSE NULL,	c0860 INT SPARSE NULL, c0861 INT SPARSE NULL, c0862 INT SPARSE NULL, c0863 INT SPARSE NULL, c0864 INT SPARSE NULL, c0865 INT SPARSE NULL, c0866 INT SPARSE NULL, c0867 INT SPARSE NULL, c0868 INT SPARSE NULL, c0869 INT SPARSE NULL,	c0870 INT SPARSE NULL, c0871 INT SPARSE NULL, c0872 INT SPARSE NULL, c0873 INT SPARSE NULL, c0874 INT SPARSE NULL, c0875 INT SPARSE NULL, c0876 INT SPARSE NULL, c0877 INT SPARSE NULL, c0878 INT SPARSE NULL, c0879 INT SPARSE NULL,	c0880 INT SPARSE NULL, c0881 INT SPARSE NULL, c0882 INT SPARSE NULL, c0883 INT SPARSE NULL, c0884 INT SPARSE NULL, c0885 INT SPARSE NULL, c0886 INT SPARSE NULL, c0887 INT SPARSE NULL, c0888 INT SPARSE NULL, c0889 INT SPARSE NULL,	c0890 INT SPARSE NULL, c0891 INT SPARSE NULL, c0892 INT SPARSE NULL, c0893 INT SPARSE NULL, c0894 INT SPARSE NULL, c0895 INT SPARSE NULL, c0896 INT SPARSE NULL, c0897 INT SPARSE NULL, c0898 INT SPARSE NULL, c0899 INT SPARSE NULL,
	c0900 INT SPARSE NULL, c0901 INT SPARSE NULL, c0902 INT SPARSE NULL, c0903 INT SPARSE NULL, c0904 INT SPARSE NULL, c0905 INT SPARSE NULL, c0906 INT SPARSE NULL, c0907 INT SPARSE NULL, c0908 INT SPARSE NULL, c0909 INT SPARSE NULL,	c0910 INT SPARSE NULL, c0911 INT SPARSE NULL, c0912 INT SPARSE NULL, c0913 INT SPARSE NULL, c0914 INT SPARSE NULL, c0915 INT SPARSE NULL, c0916 INT SPARSE NULL, c0917 INT SPARSE NULL, c0918 INT SPARSE NULL, c0919 INT SPARSE NULL, 	c0920 INT SPARSE NULL, c0921 INT SPARSE NULL, c0922 INT SPARSE NULL, c0923 INT SPARSE NULL, c0924 INT SPARSE NULL, c0925 INT SPARSE NULL, c0926 INT SPARSE NULL, c0927 INT SPARSE NULL, c0928 INT SPARSE NULL, c0929 INT SPARSE NULL,	c0930 INT SPARSE NULL, c0931 INT SPARSE NULL, c0932 INT SPARSE NULL, c0933 INT SPARSE NULL, c0934 INT SPARSE NULL, c0935 INT SPARSE NULL, c0936 INT SPARSE NULL, c0937 INT SPARSE NULL, c0938 INT SPARSE NULL, c0939 INT SPARSE NULL,	c0940 INT SPARSE NULL, c0941 INT SPARSE NULL, c0942 INT SPARSE NULL, c0943 INT SPARSE NULL, c0944 INT SPARSE NULL, c0945 INT SPARSE NULL, c0946 INT SPARSE NULL, c0947 INT SPARSE NULL, c0948 INT SPARSE NULL, c0949 INT SPARSE NULL,	c0950 INT SPARSE NULL, c0951 INT SPARSE NULL, c0952 INT SPARSE NULL, c0953 INT SPARSE NULL, c0954 INT SPARSE NULL, c0955 INT SPARSE NULL, c0956 INT SPARSE NULL, c0957 INT SPARSE NULL, c0958 INT SPARSE NULL, c0959 INT SPARSE NULL,	c0960 INT SPARSE NULL, c0961 INT SPARSE NULL, c0962 INT SPARSE NULL, c0963 INT SPARSE NULL, c0964 INT SPARSE NULL, c0965 INT SPARSE NULL, c0966 INT SPARSE NULL, c0967 INT SPARSE NULL, c0968 INT SPARSE NULL, c0969 INT SPARSE NULL,	c0970 INT SPARSE NULL, c0971 INT SPARSE NULL, c0972 INT SPARSE NULL, c0973 INT SPARSE NULL, c0974 INT SPARSE NULL, c0975 INT SPARSE NULL, c0976 INT SPARSE NULL, c0977 INT SPARSE NULL, c0978 INT SPARSE NULL, c0979 INT SPARSE NULL,  	c0980 INT SPARSE NULL, c0981 INT SPARSE NULL, c0982 INT SPARSE NULL, c0983 INT SPARSE NULL, c0984 INT SPARSE NULL, c0985 INT SPARSE NULL, c0986 INT SPARSE NULL, c0987 INT SPARSE NULL, c0988 INT SPARSE NULL, c0989 INT SPARSE NULL,	c0990 INT SPARSE NULL, c0991 INT SPARSE NULL, c0992 INT SPARSE NULL, c0993 INT SPARSE NULL, c0994 INT SPARSE NULL, c0995 INT SPARSE NULL, c0996 INT SPARSE NULL, c0997 INT SPARSE NULL, c0998 INT SPARSE NULL, c0999 INT SPARSE NULL,
--	c1900 INT SPARSE NULL, c1901 INT SPARSE NULL, c1902 INT SPARSE NULL, c1903 INT SPARSE NULL, c1904 INT SPARSE NULL, c1905 INT SPARSE NULL, c1906 INT SPARSE NULL, c1907 INT SPARSE NULL, c1908 INT SPARSE NULL, c1909 INT SPARSE NULL,	c1910 INT SPARSE NULL, c1911 INT SPARSE NULL, c1912 INT SPARSE NULL, c1913 INT SPARSE NULL, c1914 INT SPARSE NULL, c1915 INT SPARSE NULL, c1916 INT SPARSE NULL, c1917 INT SPARSE NULL, c1918 INT SPARSE NULL, c1919 INT SPARSE NULL, 	c1920 INT SPARSE NULL, c1921 INT SPARSE NULL, c1922 INT SPARSE NULL, c1923 INT SPARSE NULL, c1924 INT SPARSE NULL, c1925 INT SPARSE NULL, c1926 INT SPARSE NULL, c1927 INT SPARSE NULL, c1928 INT SPARSE NULL, c1929 INT SPARSE NULL,	c1930 INT SPARSE NULL, c1931 INT SPARSE NULL, c1932 INT SPARSE NULL, c1933 INT SPARSE NULL, c1934 INT SPARSE NULL, c1935 INT SPARSE NULL, c1936 INT SPARSE NULL, c1937 INT SPARSE NULL, c1938 INT SPARSE NULL, c1939 INT SPARSE NULL,	c1940 INT SPARSE NULL, c1941 INT SPARSE NULL, c1942 INT SPARSE NULL, c1943 INT SPARSE NULL, c1944 INT SPARSE NULL, c1945 INT SPARSE NULL, c1946 INT SPARSE NULL, c1947 INT SPARSE NULL, c1948 INT SPARSE NULL, c1949 INT SPARSE NULL,	c1950 INT SPARSE NULL, c1951 INT SPARSE NULL, c1952 INT SPARSE NULL, c1953 INT SPARSE NULL, c1954 INT SPARSE NULL, c1955 INT SPARSE NULL, c1956 INT SPARSE NULL, c1957 INT SPARSE NULL, c1958 INT SPARSE NULL, c1959 INT SPARSE NULL,	c1960 INT SPARSE NULL, c1961 INT SPARSE NULL, c1962 INT SPARSE NULL, c1963 INT SPARSE NULL, c1964 INT SPARSE NULL, c1965 INT SPARSE NULL, c1966 INT SPARSE NULL, c1967 INT SPARSE NULL, c1968 INT SPARSE NULL, c1969 INT SPARSE NULL,	c1970 INT SPARSE NULL, c1971 INT SPARSE NULL, c1972 INT SPARSE NULL, c1973 INT SPARSE NULL, c1974 INT SPARSE NULL, c1975 INT SPARSE NULL, c1976 INT SPARSE NULL, c1977 INT SPARSE NULL, c1978 INT SPARSE NULL, c1979 INT SPARSE NULL,  	c1980 INT SPARSE NULL, c1981 INT SPARSE NULL, c1982 INT SPARSE NULL, c1983 INT SPARSE NULL, c1984 INT SPARSE NULL, c1985 INT SPARSE NULL, c1986 INT SPARSE NULL, c1987 INT SPARSE NULL, c1988 INT SPARSE NULL, c1989 INT SPARSE NULL,	c1990 INT SPARSE NULL, c1991 INT SPARSE NULL, c1992 INT SPARSE NULL, c1993 INT SPARSE NULL, c1994 INT SPARSE NULL, c1995 INT SPARSE NULL, c1996 INT SPARSE NULL, c1997 INT SPARSE NULL, c1998 INT SPARSE NULL, c1999 INT SPARSE NULL,
	c1000 INT SPARSE NULL);
GO

-- Insert a few rows in each
INSERT INTO TableWithSparseColumns
	(DocName, Doctype) VALUES ('aaaa', 1)
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0945) VALUES ('bbbb', 2, 46);
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0334) VALUES ('cccc', 3, 44);
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0233, c0234) VALUES ('dddd', 4, 12, 34)
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0233, c0234,c0235,c0236) VALUES ('eeee', 4, 12, 34, 46, 66)
GO
	
INSERT INTO TableWithoutSparseColumns
	(DocName, Doctype) VALUES ('aaaa', 1)
INSERT INTO TableWithoutSparseColumns
	(DocName, Doctype, c0945) VALUES ('bbbb', 2, 46);
INSERT INTO TableWithoutSparseColumns
	(DocName, Doctype, c0334) VALUES ('cccc', 3, 44);
INSERT INTO TableWithoutSparseColumns
	(DocName, Doctype, c0233, c0234) VALUES ('dddd', 4, 12, 34)
INSERT INTO TableWithoutSparseColumns
	(DocName, Doctype, c0233, c0234,c0235,c0236) VALUES ('eeee', 4, 12, 34, 46, 66)
GO

-- Now lets see how big the rows are
SELECT [avg_record_size_in_bytes], *
	FROM sys.dm_db_index_physical_stats (
	DB_ID ('SparseColumnsTest'),
	OBJECT_ID ('TableWithoutSparseColumns'),
	NULL, NULL, 'DETAILED');
SELECT [avg_record_size_in_bytes], *
	FROM sys.dm_db_index_physical_stats (
	DB_ID ('SparseColumnsTest'),
	OBJECT_ID ('TableWithSparseColumns'),
	NULL, NULL, 'DETAILED');
GO
	
-- Now select from them both
SELECT * FROM TableWithoutSparseColumns;
SELECT * FROM TableWithSparseColumns;
GO

-- See how cumbersome the output is?
-- Let's try adding a column set over the sparse columns
ALTER TABLE TableWithSparseColumns ADD
	SparseColumns XML COLUMN_SET FOR ALL_SPARSE_COLUMNS;
GO
	
-- Doesn't work as it would change the SELECT * output.
-- Need to drop and re-create the table
DROP TABLE TableWithSparseColumns;
GO

CREATE TABLE TableWithSparseColumns (
	DocID INT IDENTITY, DocName VARCHAR (100), DocType INT, SparseColumns XML COLUMN_SET FOR ALL_SPARSE_COLUMNS,
	c0005 INT SPARSE NULL, c0006 INT SPARSE NULL, c0007 INT SPARSE NULL, c0008 INT SPARSE NULL, c0009 INT SPARSE NULL,	c0010 INT SPARSE NULL, c0011 INT SPARSE NULL, c0012 INT SPARSE NULL, c0013 INT SPARSE NULL, c0014 INT SPARSE NULL, c0015 INT SPARSE NULL, c0016 INT SPARSE NULL, c0017 INT SPARSE NULL, c0018 INT SPARSE NULL, c0019 INT SPARSE NULL,	c0020 INT SPARSE NULL, c0021 INT SPARSE NULL, c0022 INT SPARSE NULL, c0023 INT SPARSE NULL, c0024 INT SPARSE NULL, c0025 INT SPARSE NULL, c0026 INT SPARSE NULL, c0027 INT SPARSE NULL, c0028 INT SPARSE NULL, c0029 INT SPARSE NULL,	c0030 INT SPARSE NULL, c0031 INT SPARSE NULL, c0032 INT SPARSE NULL, c0033 INT SPARSE NULL, c0034 INT SPARSE NULL, c0035 INT SPARSE NULL, c0036 INT SPARSE NULL, c0037 INT SPARSE NULL, c0038 INT SPARSE NULL, c0039 INT SPARSE NULL,	c0040 INT SPARSE NULL, c0041 INT SPARSE NULL, c0042 INT SPARSE NULL, c0043 INT SPARSE NULL, c0044 INT SPARSE NULL, c0045 INT SPARSE NULL, c0046 INT SPARSE NULL, c0047 INT SPARSE NULL, c0048 INT SPARSE NULL, c0049 INT SPARSE NULL,	c0050 INT SPARSE NULL, c0051 INT SPARSE NULL, c0052 INT SPARSE NULL, c0053 INT SPARSE NULL, c0054 INT SPARSE NULL, c0055 INT SPARSE NULL, c0056 INT SPARSE NULL, c0057 INT SPARSE NULL, c0058 INT SPARSE NULL, c0059 INT SPARSE NULL,	c0060 INT SPARSE NULL, c0061 INT SPARSE NULL, c0062 INT SPARSE NULL, c0063 INT SPARSE NULL, c0064 INT SPARSE NULL, c0065 INT SPARSE NULL, c0066 INT SPARSE NULL, c0067 INT SPARSE NULL, c0068 INT SPARSE NULL, c0069 INT SPARSE NULL,	c0070 INT SPARSE NULL, c0071 INT SPARSE NULL, c0072 INT SPARSE NULL, c0073 INT SPARSE NULL, c0074 INT SPARSE NULL, c0075 INT SPARSE NULL, c0076 INT SPARSE NULL, c0077 INT SPARSE NULL, c0078 INT SPARSE NULL, c0079 INT SPARSE NULL,	c0080 INT SPARSE NULL, c0081 INT SPARSE NULL, c0082 INT SPARSE NULL, c0083 INT SPARSE NULL, c0084 INT SPARSE NULL, c0085 INT SPARSE NULL, c0086 INT SPARSE NULL, c0087 INT SPARSE NULL, c0088 INT SPARSE NULL, c0089 INT SPARSE NULL,	c0090 INT SPARSE NULL, c0091 INT SPARSE NULL, c0092 INT SPARSE NULL, c0093 INT SPARSE NULL, c0094 INT SPARSE NULL, c0095 INT SPARSE NULL, c0096 INT SPARSE NULL, c0097 INT SPARSE NULL, c0098 INT SPARSE NULL, c0099 INT SPARSE NULL,
	c0100 INT SPARSE NULL, c0101 INT SPARSE NULL, c0102 INT SPARSE NULL, c0103 INT SPARSE NULL, c0104 INT SPARSE NULL, c0105 INT SPARSE NULL, c0106 INT SPARSE NULL, c0107 INT SPARSE NULL, c0108 INT SPARSE NULL, c0109 INT SPARSE NULL,	c0110 INT SPARSE NULL, c0111 INT SPARSE NULL, c0112 INT SPARSE NULL, c0113 INT SPARSE NULL, c0114 INT SPARSE NULL, c0115 INT SPARSE NULL, c0116 INT SPARSE NULL, c0117 INT SPARSE NULL, c0118 INT SPARSE NULL, c0119 INT SPARSE NULL,	c0120 INT SPARSE NULL, c0121 INT SPARSE NULL, c0122 INT SPARSE NULL, c0123 INT SPARSE NULL, c0124 INT SPARSE NULL, c0125 INT SPARSE NULL, c0126 INT SPARSE NULL, c0127 INT SPARSE NULL, c0128 INT SPARSE NULL, c0129 INT SPARSE NULL,	c0130 INT SPARSE NULL, c0131 INT SPARSE NULL, c0132 INT SPARSE NULL, c0133 INT SPARSE NULL, c0134 INT SPARSE NULL, c0135 INT SPARSE NULL, c0136 INT SPARSE NULL, c0137 INT SPARSE NULL, c0138 INT SPARSE NULL, c0139 INT SPARSE NULL,	c0140 INT SPARSE NULL, c0141 INT SPARSE NULL, c0142 INT SPARSE NULL, c0143 INT SPARSE NULL, c0144 INT SPARSE NULL, c0145 INT SPARSE NULL, c0146 INT SPARSE NULL, c0147 INT SPARSE NULL, c0148 INT SPARSE NULL, c0149 INT SPARSE NULL,	c0150 INT SPARSE NULL, c0151 INT SPARSE NULL, c0152 INT SPARSE NULL, c0153 INT SPARSE NULL, c0154 INT SPARSE NULL, c0155 INT SPARSE NULL, c0156 INT SPARSE NULL, c0157 INT SPARSE NULL, c0158 INT SPARSE NULL, c0159 INT SPARSE NULL,	c0160 INT SPARSE NULL, c0161 INT SPARSE NULL, c0162 INT SPARSE NULL, c0163 INT SPARSE NULL, c0164 INT SPARSE NULL, c0165 INT SPARSE NULL, c0166 INT SPARSE NULL, c0167 INT SPARSE NULL, c0168 INT SPARSE NULL, c0169 INT SPARSE NULL,	c0170 INT SPARSE NULL, c0171 INT SPARSE NULL, c0172 INT SPARSE NULL, c0173 INT SPARSE NULL, c0174 INT SPARSE NULL, c0175 INT SPARSE NULL, c0176 INT SPARSE NULL, c0177 INT SPARSE NULL, c0178 INT SPARSE NULL, c0179 INT SPARSE NULL,	c0180 INT SPARSE NULL, c0181 INT SPARSE NULL, c0182 INT SPARSE NULL, c0183 INT SPARSE NULL, c0184 INT SPARSE NULL, c0185 INT SPARSE NULL, c0186 INT SPARSE NULL, c0187 INT SPARSE NULL, c0188 INT SPARSE NULL, c0189 INT SPARSE NULL,	c0190 INT SPARSE NULL, c0191 INT SPARSE NULL, c0192 INT SPARSE NULL, c0193 INT SPARSE NULL, c0194 INT SPARSE NULL, c0195 INT SPARSE NULL, c0196 INT SPARSE NULL, c0197 INT SPARSE NULL, c0198 INT SPARSE NULL, c0199 INT SPARSE NULL,
	c0200 INT SPARSE NULL, c0201 INT SPARSE NULL, c0202 INT SPARSE NULL, c0203 INT SPARSE NULL, c0204 INT SPARSE NULL, c0205 INT SPARSE NULL, c0206 INT SPARSE NULL, c0207 INT SPARSE NULL, c0208 INT SPARSE NULL, c0209 INT SPARSE NULL,	c0210 INT SPARSE NULL, c0211 INT SPARSE NULL, c0212 INT SPARSE NULL, c0213 INT SPARSE NULL, c0214 INT SPARSE NULL, c0215 INT SPARSE NULL, c0216 INT SPARSE NULL, c0217 INT SPARSE NULL, c0218 INT SPARSE NULL, c0219 INT SPARSE NULL,	c0220 INT SPARSE NULL, c0221 INT SPARSE NULL, c0222 INT SPARSE NULL, c0223 INT SPARSE NULL, c0224 INT SPARSE NULL, c0225 INT SPARSE NULL, c0226 INT SPARSE NULL, c0227 INT SPARSE NULL, c0228 INT SPARSE NULL, c0229 INT SPARSE NULL,	c0230 INT SPARSE NULL, c0231 INT SPARSE NULL, c0232 INT SPARSE NULL, c0233 INT SPARSE NULL, c0234 INT SPARSE NULL, c0235 INT SPARSE NULL, c0236 INT SPARSE NULL, c0237 INT SPARSE NULL, c0238 INT SPARSE NULL, c0239 INT SPARSE NULL,	c0240 INT SPARSE NULL, c0241 INT SPARSE NULL, c0242 INT SPARSE NULL, c0243 INT SPARSE NULL, c0244 INT SPARSE NULL, c0245 INT SPARSE NULL, c0246 INT SPARSE NULL, c0247 INT SPARSE NULL, c0248 INT SPARSE NULL, c0249 INT SPARSE NULL,	c0250 INT SPARSE NULL, c0251 INT SPARSE NULL, c0252 INT SPARSE NULL, c0253 INT SPARSE NULL, c0254 INT SPARSE NULL, c0255 INT SPARSE NULL, c0256 INT SPARSE NULL, c0257 INT SPARSE NULL, c0258 INT SPARSE NULL, c0259 INT SPARSE NULL,	c0260 INT SPARSE NULL, c0261 INT SPARSE NULL, c0262 INT SPARSE NULL, c0263 INT SPARSE NULL, c0264 INT SPARSE NULL, c0265 INT SPARSE NULL, c0266 INT SPARSE NULL, c0267 INT SPARSE NULL, c0268 INT SPARSE NULL, c0269 INT SPARSE NULL,	c0270 INT SPARSE NULL, c0271 INT SPARSE NULL, c0272 INT SPARSE NULL, c0273 INT SPARSE NULL, c0274 INT SPARSE NULL, c0275 INT SPARSE NULL, c0276 INT SPARSE NULL, c0277 INT SPARSE NULL, c0278 INT SPARSE NULL, c0279 INT SPARSE NULL,	c0280 INT SPARSE NULL, c0281 INT SPARSE NULL, c0282 INT SPARSE NULL, c0283 INT SPARSE NULL, c0284 INT SPARSE NULL, c0285 INT SPARSE NULL, c0286 INT SPARSE NULL, c0287 INT SPARSE NULL, c0288 INT SPARSE NULL, c0289 INT SPARSE NULL,	c0290 INT SPARSE NULL, c0291 INT SPARSE NULL, c0292 INT SPARSE NULL, c0293 INT SPARSE NULL, c0294 INT SPARSE NULL, c0295 INT SPARSE NULL, c0296 INT SPARSE NULL, c0297 INT SPARSE NULL, c0298 INT SPARSE NULL, c0299 INT SPARSE NULL,
	c0300 INT SPARSE NULL, c0301 INT SPARSE NULL, c0302 INT SPARSE NULL, c0303 INT SPARSE NULL, c0304 INT SPARSE NULL, c0305 INT SPARSE NULL, c0306 INT SPARSE NULL, c0307 INT SPARSE NULL, c0308 INT SPARSE NULL, c0309 INT SPARSE NULL,	c0310 INT SPARSE NULL, c0311 INT SPARSE NULL, c0312 INT SPARSE NULL, c0313 INT SPARSE NULL, c0314 INT SPARSE NULL, c0315 INT SPARSE NULL, c0316 INT SPARSE NULL, c0317 INT SPARSE NULL, c0318 INT SPARSE NULL, c0319 INT SPARSE NULL,	c0320 INT SPARSE NULL, c0321 INT SPARSE NULL, c0322 INT SPARSE NULL, c0323 INT SPARSE NULL, c0324 INT SPARSE NULL, c0325 INT SPARSE NULL, c0326 INT SPARSE NULL, c0327 INT SPARSE NULL, c0328 INT SPARSE NULL, c0329 INT SPARSE NULL,	c0330 INT SPARSE NULL, c0331 INT SPARSE NULL, c0332 INT SPARSE NULL, c0333 INT SPARSE NULL, c0334 INT SPARSE NULL, c0335 INT SPARSE NULL, c0336 INT SPARSE NULL, c0337 INT SPARSE NULL, c0338 INT SPARSE NULL, c0339 INT SPARSE NULL,	c0340 INT SPARSE NULL, c0341 INT SPARSE NULL, c0342 INT SPARSE NULL, c0343 INT SPARSE NULL, c0344 INT SPARSE NULL, c0345 INT SPARSE NULL, c0346 INT SPARSE NULL, c0347 INT SPARSE NULL, c0348 INT SPARSE NULL, c0349 INT SPARSE NULL,	c0350 INT SPARSE NULL, c0351 INT SPARSE NULL, c0352 INT SPARSE NULL, c0353 INT SPARSE NULL, c0354 INT SPARSE NULL, c0355 INT SPARSE NULL, c0356 INT SPARSE NULL, c0357 INT SPARSE NULL, c0358 INT SPARSE NULL, c0359 INT SPARSE NULL,	c0360 INT SPARSE NULL, c0361 INT SPARSE NULL, c0362 INT SPARSE NULL, c0363 INT SPARSE NULL, c0364 INT SPARSE NULL, c0365 INT SPARSE NULL, c0366 INT SPARSE NULL, c0367 INT SPARSE NULL, c0368 INT SPARSE NULL, c0369 INT SPARSE NULL,	c0370 INT SPARSE NULL, c0371 INT SPARSE NULL, c0372 INT SPARSE NULL, c0373 INT SPARSE NULL, c0374 INT SPARSE NULL, c0375 INT SPARSE NULL, c0376 INT SPARSE NULL, c0377 INT SPARSE NULL, c0378 INT SPARSE NULL, c0379 INT SPARSE NULL,	c0380 INT SPARSE NULL, c0381 INT SPARSE NULL, c0382 INT SPARSE NULL, c0383 INT SPARSE NULL, c0384 INT SPARSE NULL, c0385 INT SPARSE NULL, c0386 INT SPARSE NULL, c0387 INT SPARSE NULL, c0388 INT SPARSE NULL, c0389 INT SPARSE NULL,	c0390 INT SPARSE NULL, c0391 INT SPARSE NULL, c0392 INT SPARSE NULL, c0393 INT SPARSE NULL, c0394 INT SPARSE NULL, c0395 INT SPARSE NULL, c0396 INT SPARSE NULL, c0397 INT SPARSE NULL, c0398 INT SPARSE NULL, c0399 INT SPARSE NULL,
	c0400 INT SPARSE NULL, c0401 INT SPARSE NULL, c0402 INT SPARSE NULL, c0403 INT SPARSE NULL, c0404 INT SPARSE NULL, c0405 INT SPARSE NULL, c0406 INT SPARSE NULL, c0407 INT SPARSE NULL, c0408 INT SPARSE NULL, c0409 INT SPARSE NULL,	c0410 INT SPARSE NULL, c0411 INT SPARSE NULL, c0412 INT SPARSE NULL, c0413 INT SPARSE NULL, c0414 INT SPARSE NULL, c0415 INT SPARSE NULL, c0416 INT SPARSE NULL, c0417 INT SPARSE NULL, c0418 INT SPARSE NULL, c0419 INT SPARSE NULL,	c0420 INT SPARSE NULL, c0421 INT SPARSE NULL, c0422 INT SPARSE NULL, c0423 INT SPARSE NULL, c0424 INT SPARSE NULL, c0425 INT SPARSE NULL, c0426 INT SPARSE NULL, c0427 INT SPARSE NULL, c0428 INT SPARSE NULL, c0429 INT SPARSE NULL,	c0430 INT SPARSE NULL, c0431 INT SPARSE NULL, c0432 INT SPARSE NULL, c0433 INT SPARSE NULL, c0434 INT SPARSE NULL, c0435 INT SPARSE NULL, c0436 INT SPARSE NULL, c0437 INT SPARSE NULL, c0438 INT SPARSE NULL, c0439 INT SPARSE NULL,	c0440 INT SPARSE NULL, c0441 INT SPARSE NULL, c0442 INT SPARSE NULL, c0443 INT SPARSE NULL, c0444 INT SPARSE NULL, c0445 INT SPARSE NULL, c0446 INT SPARSE NULL, c0447 INT SPARSE NULL, c0448 INT SPARSE NULL, c0449 INT SPARSE NULL,	c0450 INT SPARSE NULL, c0451 INT SPARSE NULL, c0452 INT SPARSE NULL, c0453 INT SPARSE NULL, c0454 INT SPARSE NULL, c0455 INT SPARSE NULL, c0456 INT SPARSE NULL, c0457 INT SPARSE NULL, c0458 INT SPARSE NULL, c0459 INT SPARSE NULL,	c0460 INT SPARSE NULL, c0461 INT SPARSE NULL, c0462 INT SPARSE NULL, c0463 INT SPARSE NULL, c0464 INT SPARSE NULL, c0465 INT SPARSE NULL, c0466 INT SPARSE NULL, c0467 INT SPARSE NULL, c0468 INT SPARSE NULL, c0469 INT SPARSE NULL,	c0470 INT SPARSE NULL, c0471 INT SPARSE NULL, c0472 INT SPARSE NULL, c0473 INT SPARSE NULL, c0474 INT SPARSE NULL, c0475 INT SPARSE NULL, c0476 INT SPARSE NULL, c0477 INT SPARSE NULL, c0478 INT SPARSE NULL, c0479 INT SPARSE NULL,	c0480 INT SPARSE NULL, c0481 INT SPARSE NULL, c0482 INT SPARSE NULL, c0483 INT SPARSE NULL, c0484 INT SPARSE NULL, c0485 INT SPARSE NULL, c0486 INT SPARSE NULL, c0487 INT SPARSE NULL, c0488 INT SPARSE NULL, c0489 INT SPARSE NULL,	c0490 INT SPARSE NULL, c0491 INT SPARSE NULL, c0492 INT SPARSE NULL, c0493 INT SPARSE NULL, c0494 INT SPARSE NULL, c0495 INT SPARSE NULL, c0496 INT SPARSE NULL, c0497 INT SPARSE NULL, c0498 INT SPARSE NULL, c0499 INT SPARSE NULL,
	c0500 INT SPARSE NULL, c0501 INT SPARSE NULL, c0502 INT SPARSE NULL, c0503 INT SPARSE NULL, c0504 INT SPARSE NULL, c0505 INT SPARSE NULL, c0506 INT SPARSE NULL, c0507 INT SPARSE NULL, c0508 INT SPARSE NULL, c0509 INT SPARSE NULL,	c0510 INT SPARSE NULL, c0511 INT SPARSE NULL, c0512 INT SPARSE NULL, c0513 INT SPARSE NULL, c0514 INT SPARSE NULL, c0515 INT SPARSE NULL, c0516 INT SPARSE NULL, c0517 INT SPARSE NULL, c0518 INT SPARSE NULL, c0519 INT SPARSE NULL,	c0520 INT SPARSE NULL, c0521 INT SPARSE NULL, c0522 INT SPARSE NULL, c0523 INT SPARSE NULL, c0524 INT SPARSE NULL, c0525 INT SPARSE NULL, c0526 INT SPARSE NULL, c0527 INT SPARSE NULL, c0528 INT SPARSE NULL, c0529 INT SPARSE NULL,	c0530 INT SPARSE NULL, c0531 INT SPARSE NULL, c0532 INT SPARSE NULL, c0533 INT SPARSE NULL, c0534 INT SPARSE NULL, c0535 INT SPARSE NULL, c0536 INT SPARSE NULL, c0537 INT SPARSE NULL, c0538 INT SPARSE NULL, c0539 INT SPARSE NULL,	c0540 INT SPARSE NULL, c0541 INT SPARSE NULL, c0542 INT SPARSE NULL, c0543 INT SPARSE NULL, c0544 INT SPARSE NULL, c0545 INT SPARSE NULL, c0546 INT SPARSE NULL, c0547 INT SPARSE NULL, c0548 INT SPARSE NULL, c0549 INT SPARSE NULL,	c0550 INT SPARSE NULL, c0551 INT SPARSE NULL, c0552 INT SPARSE NULL, c0553 INT SPARSE NULL, c0554 INT SPARSE NULL, c0555 INT SPARSE NULL, c0556 INT SPARSE NULL, c0557 INT SPARSE NULL, c0558 INT SPARSE NULL, c0559 INT SPARSE NULL,	c0560 INT SPARSE NULL, c0561 INT SPARSE NULL, c0562 INT SPARSE NULL, c0563 INT SPARSE NULL, c0564 INT SPARSE NULL, c0565 INT SPARSE NULL, c0566 INT SPARSE NULL, c0567 INT SPARSE NULL, c0568 INT SPARSE NULL, c0569 INT SPARSE NULL,	c0570 INT SPARSE NULL, c0571 INT SPARSE NULL, c0572 INT SPARSE NULL, c0573 INT SPARSE NULL, c0574 INT SPARSE NULL, c0575 INT SPARSE NULL, c0576 INT SPARSE NULL, c0577 INT SPARSE NULL, c0578 INT SPARSE NULL, c0579 INT SPARSE NULL,	c0580 INT SPARSE NULL, c0581 INT SPARSE NULL, c0582 INT SPARSE NULL, c0583 INT SPARSE NULL, c0584 INT SPARSE NULL, c0585 INT SPARSE NULL, c0586 INT SPARSE NULL, c0587 INT SPARSE NULL, c0588 INT SPARSE NULL, c0589 INT SPARSE NULL,	c0590 INT SPARSE NULL, c0591 INT SPARSE NULL, c0592 INT SPARSE NULL, c0593 INT SPARSE NULL, c0594 INT SPARSE NULL, c0595 INT SPARSE NULL, c0596 INT SPARSE NULL, c0597 INT SPARSE NULL, c0598 INT SPARSE NULL, c0599 INT SPARSE NULL,
	c0600 INT SPARSE NULL, c0601 INT SPARSE NULL, c0602 INT SPARSE NULL, c0603 INT SPARSE NULL, c0604 INT SPARSE NULL, c0605 INT SPARSE NULL, c0606 INT SPARSE NULL, c0607 INT SPARSE NULL, c0608 INT SPARSE NULL, c0609 INT SPARSE NULL,	c0610 INT SPARSE NULL, c0611 INT SPARSE NULL, c0612 INT SPARSE NULL, c0613 INT SPARSE NULL, c0614 INT SPARSE NULL, c0615 INT SPARSE NULL, c0616 INT SPARSE NULL, c0617 INT SPARSE NULL, c0618 INT SPARSE NULL, c0619 INT SPARSE NULL,	c0620 INT SPARSE NULL, c0621 INT SPARSE NULL, c0622 INT SPARSE NULL, c0623 INT SPARSE NULL, c0624 INT SPARSE NULL, c0625 INT SPARSE NULL, c0626 INT SPARSE NULL, c0627 INT SPARSE NULL, c0628 INT SPARSE NULL, c0629 INT SPARSE NULL,	c0630 INT SPARSE NULL, c0631 INT SPARSE NULL, c0632 INT SPARSE NULL, c0633 INT SPARSE NULL, c0634 INT SPARSE NULL, c0635 INT SPARSE NULL, c0636 INT SPARSE NULL, c0637 INT SPARSE NULL, c0638 INT SPARSE NULL, c0639 INT SPARSE NULL,	c0640 INT SPARSE NULL, c0641 INT SPARSE NULL, c0642 INT SPARSE NULL, c0643 INT SPARSE NULL, c0644 INT SPARSE NULL, c0645 INT SPARSE NULL, c0646 INT SPARSE NULL, c0647 INT SPARSE NULL, c0648 INT SPARSE NULL, c0649 INT SPARSE NULL,	c0650 INT SPARSE NULL, c0651 INT SPARSE NULL, c0652 INT SPARSE NULL, c0653 INT SPARSE NULL, c0654 INT SPARSE NULL, c0655 INT SPARSE NULL, c0656 INT SPARSE NULL, c0657 INT SPARSE NULL, c0658 INT SPARSE NULL, c0659 INT SPARSE NULL,	c0660 INT SPARSE NULL, c0661 INT SPARSE NULL, c0662 INT SPARSE NULL, c0663 INT SPARSE NULL, c0664 INT SPARSE NULL, c0665 INT SPARSE NULL, c0666 INT SPARSE NULL, c0667 INT SPARSE NULL, c0668 INT SPARSE NULL, c0669 INT SPARSE NULL,	c0670 INT SPARSE NULL, c0671 INT SPARSE NULL, c0672 INT SPARSE NULL, c0673 INT SPARSE NULL, c0674 INT SPARSE NULL, c0675 INT SPARSE NULL, c0676 INT SPARSE NULL, c0677 INT SPARSE NULL, c0678 INT SPARSE NULL, c0679 INT SPARSE NULL,	c0680 INT SPARSE NULL, c0681 INT SPARSE NULL, c0682 INT SPARSE NULL, c0683 INT SPARSE NULL, c0684 INT SPARSE NULL, c0685 INT SPARSE NULL, c0686 INT SPARSE NULL, c0687 INT SPARSE NULL, c0688 INT SPARSE NULL, c0689 INT SPARSE NULL,	c0690 INT SPARSE NULL, c0691 INT SPARSE NULL, c0692 INT SPARSE NULL, c0693 INT SPARSE NULL, c0694 INT SPARSE NULL, c0695 INT SPARSE NULL, c0696 INT SPARSE NULL, c0697 INT SPARSE NULL, c0698 INT SPARSE NULL, c0699 INT SPARSE NULL,
	c0700 INT SPARSE NULL, c0701 INT SPARSE NULL, c0702 INT SPARSE NULL, c0703 INT SPARSE NULL, c0704 INT SPARSE NULL, c0705 INT SPARSE NULL, c0706 INT SPARSE NULL, c0707 INT SPARSE NULL, c0708 INT SPARSE NULL, c0709 INT SPARSE NULL,	c0710 INT SPARSE NULL, c0711 INT SPARSE NULL, c0712 INT SPARSE NULL, c0713 INT SPARSE NULL, c0714 INT SPARSE NULL, c0715 INT SPARSE NULL, c0716 INT SPARSE NULL, c0717 INT SPARSE NULL, c0718 INT SPARSE NULL, c0719 INT SPARSE NULL,	c0720 INT SPARSE NULL, c0721 INT SPARSE NULL, c0722 INT SPARSE NULL, c0723 INT SPARSE NULL, c0724 INT SPARSE NULL, c0725 INT SPARSE NULL, c0726 INT SPARSE NULL, c0727 INT SPARSE NULL, c0728 INT SPARSE NULL, c0729 INT SPARSE NULL,	c0730 INT SPARSE NULL, c0731 INT SPARSE NULL, c0732 INT SPARSE NULL, c0733 INT SPARSE NULL, c0734 INT SPARSE NULL, c0735 INT SPARSE NULL, c0736 INT SPARSE NULL, c0737 INT SPARSE NULL, c0738 INT SPARSE NULL, c0739 INT SPARSE NULL,	c0740 INT SPARSE NULL, c0741 INT SPARSE NULL, c0742 INT SPARSE NULL, c0743 INT SPARSE NULL, c0744 INT SPARSE NULL, c0745 INT SPARSE NULL, c0746 INT SPARSE NULL, c0747 INT SPARSE NULL, c0748 INT SPARSE NULL, c0749 INT SPARSE NULL,	c0750 INT SPARSE NULL, c0751 INT SPARSE NULL, c0752 INT SPARSE NULL, c0753 INT SPARSE NULL, c0754 INT SPARSE NULL, c0755 INT SPARSE NULL, c0756 INT SPARSE NULL, c0757 INT SPARSE NULL, c0758 INT SPARSE NULL, c0759 INT SPARSE NULL,	c0760 INT SPARSE NULL, c0761 INT SPARSE NULL, c0762 INT SPARSE NULL, c0763 INT SPARSE NULL, c0764 INT SPARSE NULL, c0765 INT SPARSE NULL, c0766 INT SPARSE NULL, c0767 INT SPARSE NULL, c0768 INT SPARSE NULL, c0769 INT SPARSE NULL,	c0770 INT SPARSE NULL, c0771 INT SPARSE NULL, c0772 INT SPARSE NULL, c0773 INT SPARSE NULL, c0774 INT SPARSE NULL, c0775 INT SPARSE NULL, c0776 INT SPARSE NULL, c0777 INT SPARSE NULL, c0778 INT SPARSE NULL, c0779 INT SPARSE NULL,	c0780 INT SPARSE NULL, c0781 INT SPARSE NULL, c0782 INT SPARSE NULL, c0783 INT SPARSE NULL, c0784 INT SPARSE NULL, c0785 INT SPARSE NULL, c0786 INT SPARSE NULL, c0787 INT SPARSE NULL, c0788 INT SPARSE NULL, c0789 INT SPARSE NULL,	c0790 INT SPARSE NULL, c0791 INT SPARSE NULL, c0792 INT SPARSE NULL, c0793 INT SPARSE NULL, c0794 INT SPARSE NULL, c0795 INT SPARSE NULL, c0796 INT SPARSE NULL, c0797 INT SPARSE NULL, c0798 INT SPARSE NULL, c0799 INT SPARSE NULL,
	c0800 INT SPARSE NULL, c0801 INT SPARSE NULL, c0802 INT SPARSE NULL, c0803 INT SPARSE NULL, c0804 INT SPARSE NULL, c0805 INT SPARSE NULL, c0806 INT SPARSE NULL, c0807 INT SPARSE NULL, c0808 INT SPARSE NULL, c0809 INT SPARSE NULL,	c0810 INT SPARSE NULL, c0811 INT SPARSE NULL, c0812 INT SPARSE NULL, c0813 INT SPARSE NULL, c0814 INT SPARSE NULL, c0815 INT SPARSE NULL, c0816 INT SPARSE NULL, c0817 INT SPARSE NULL, c0818 INT SPARSE NULL, c0819 INT SPARSE NULL,	c0820 INT SPARSE NULL, c0821 INT SPARSE NULL, c0822 INT SPARSE NULL, c0823 INT SPARSE NULL, c0824 INT SPARSE NULL, c0825 INT SPARSE NULL, c0826 INT SPARSE NULL, c0827 INT SPARSE NULL, c0828 INT SPARSE NULL, c0829 INT SPARSE NULL,	c0830 INT SPARSE NULL, c0831 INT SPARSE NULL, c0832 INT SPARSE NULL, c0833 INT SPARSE NULL, c0834 INT SPARSE NULL, c0835 INT SPARSE NULL, c0836 INT SPARSE NULL, c0837 INT SPARSE NULL, c0838 INT SPARSE NULL, c0839 INT SPARSE NULL,	c0840 INT SPARSE NULL, c0841 INT SPARSE NULL, c0842 INT SPARSE NULL, c0843 INT SPARSE NULL, c0844 INT SPARSE NULL, c0845 INT SPARSE NULL, c0846 INT SPARSE NULL, c0847 INT SPARSE NULL, c0848 INT SPARSE NULL, c0849 INT SPARSE NULL,	c0850 INT SPARSE NULL, c0851 INT SPARSE NULL, c0852 INT SPARSE NULL, c0853 INT SPARSE NULL, c0854 INT SPARSE NULL, c0855 INT SPARSE NULL, c0856 INT SPARSE NULL, c0857 INT SPARSE NULL, c0858 INT SPARSE NULL, c0859 INT SPARSE NULL,	c0860 INT SPARSE NULL, c0861 INT SPARSE NULL, c0862 INT SPARSE NULL, c0863 INT SPARSE NULL, c0864 INT SPARSE NULL, c0865 INT SPARSE NULL, c0866 INT SPARSE NULL, c0867 INT SPARSE NULL, c0868 INT SPARSE NULL, c0869 INT SPARSE NULL,	c0870 INT SPARSE NULL, c0871 INT SPARSE NULL, c0872 INT SPARSE NULL, c0873 INT SPARSE NULL, c0874 INT SPARSE NULL, c0875 INT SPARSE NULL, c0876 INT SPARSE NULL, c0877 INT SPARSE NULL, c0878 INT SPARSE NULL, c0879 INT SPARSE NULL,	c0880 INT SPARSE NULL, c0881 INT SPARSE NULL, c0882 INT SPARSE NULL, c0883 INT SPARSE NULL, c0884 INT SPARSE NULL, c0885 INT SPARSE NULL, c0886 INT SPARSE NULL, c0887 INT SPARSE NULL, c0888 INT SPARSE NULL, c0889 INT SPARSE NULL,	c0890 INT SPARSE NULL, c0891 INT SPARSE NULL, c0892 INT SPARSE NULL, c0893 INT SPARSE NULL, c0894 INT SPARSE NULL, c0895 INT SPARSE NULL, c0896 INT SPARSE NULL, c0897 INT SPARSE NULL, c0898 INT SPARSE NULL, c0899 INT SPARSE NULL,
	c0900 INT SPARSE NULL, c0901 INT SPARSE NULL, c0902 INT SPARSE NULL, c0903 INT SPARSE NULL, c0904 INT SPARSE NULL, c0905 INT SPARSE NULL, c0906 INT SPARSE NULL, c0907 INT SPARSE NULL, c0908 INT SPARSE NULL, c0909 INT SPARSE NULL,	c0910 INT SPARSE NULL, c0911 INT SPARSE NULL, c0912 INT SPARSE NULL, c0913 INT SPARSE NULL, c0914 INT SPARSE NULL, c0915 INT SPARSE NULL, c0916 INT SPARSE NULL, c0917 INT SPARSE NULL, c0918 INT SPARSE NULL, c0919 INT SPARSE NULL, 	c0920 INT SPARSE NULL, c0921 INT SPARSE NULL, c0922 INT SPARSE NULL, c0923 INT SPARSE NULL, c0924 INT SPARSE NULL, c0925 INT SPARSE NULL, c0926 INT SPARSE NULL, c0927 INT SPARSE NULL, c0928 INT SPARSE NULL, c0929 INT SPARSE NULL,	c0930 INT SPARSE NULL, c0931 INT SPARSE NULL, c0932 INT SPARSE NULL, c0933 INT SPARSE NULL, c0934 INT SPARSE NULL, c0935 INT SPARSE NULL, c0936 INT SPARSE NULL, c0937 INT SPARSE NULL, c0938 INT SPARSE NULL, c0939 INT SPARSE NULL,	c0940 INT SPARSE NULL, c0941 INT SPARSE NULL, c0942 INT SPARSE NULL, c0943 INT SPARSE NULL, c0944 INT SPARSE NULL, c0945 INT SPARSE NULL, c0946 INT SPARSE NULL, c0947 INT SPARSE NULL, c0948 INT SPARSE NULL, c0949 INT SPARSE NULL,	c0950 INT SPARSE NULL, c0951 INT SPARSE NULL, c0952 INT SPARSE NULL, c0953 INT SPARSE NULL, c0954 INT SPARSE NULL, c0955 INT SPARSE NULL, c0956 INT SPARSE NULL, c0957 INT SPARSE NULL, c0958 INT SPARSE NULL, c0959 INT SPARSE NULL,	c0960 INT SPARSE NULL, c0961 INT SPARSE NULL, c0962 INT SPARSE NULL, c0963 INT SPARSE NULL, c0964 INT SPARSE NULL, c0965 INT SPARSE NULL, c0966 INT SPARSE NULL, c0967 INT SPARSE NULL, c0968 INT SPARSE NULL, c0969 INT SPARSE NULL,	c0970 INT SPARSE NULL, c0971 INT SPARSE NULL, c0972 INT SPARSE NULL, c0973 INT SPARSE NULL, c0974 INT SPARSE NULL, c0975 INT SPARSE NULL, c0976 INT SPARSE NULL, c0977 INT SPARSE NULL, c0978 INT SPARSE NULL, c0979 INT SPARSE NULL,  	c0980 INT SPARSE NULL, c0981 INT SPARSE NULL, c0982 INT SPARSE NULL, c0983 INT SPARSE NULL, c0984 INT SPARSE NULL, c0985 INT SPARSE NULL, c0986 INT SPARSE NULL, c0987 INT SPARSE NULL, c0988 INT SPARSE NULL, c0989 INT SPARSE NULL,	c0990 INT SPARSE NULL, c0991 INT SPARSE NULL, c0992 INT SPARSE NULL, c0993 INT SPARSE NULL, c0994 INT SPARSE NULL, c0995 INT SPARSE NULL, c0996 INT SPARSE NULL, c0997 INT SPARSE NULL, c0998 INT SPARSE NULL, c0999 INT SPARSE NULL,
	c1000 INT SPARSE NULL);
GO

-- Insert the same few rows and then select them back
INSERT INTO TableWithSparseColumns
	(DocName, Doctype) VALUES ('aaaa', 1)
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0945) VALUES ('bbbb', 2, 46);
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0334) VALUES ('cccc', 3, 44);
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0233, c0234) VALUES ('dddd', 4, 12, 34)
INSERT INTO TableWithSparseColumns
	(DocName, Doctype, c0233, c0234,c0235,c0236) VALUES ('eeee', 4, 12, 34, 46, 66)
GO

SELECT * FROM TableWithSparseColumns;
GO

-- How cool is that? Faster too because all the column
-- metadata doesn't need to be passed to the client

-- On to UseDocRepository.sql

